/* ge98df9t.h 0.12 95/09/18 Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved. */

// CT9800 Tape Header (Directory) Definitions

// 16 bit Word Offsets for Global Entry

#define GE98_TAPE_GE_LENGTH	40	// Length of global entry in 16 bit words

#define GE98_TAPE_GEMID		0	// CT System id (A2) "98"
#define GE98_TAPE_GEMID_lng	2
#define GE98_TAPE_GEREV		1	// Image tape revision # (A2)
#define GE98_TAPE_GEREVD_lng	2
#define GE98_TAPE_GEADF		2	// Image tape attached flag (2A2)
#define GE98_TAPE_GEADF_lng	4
#define GE98_TAPE_GEHOS		4	// Hospital name (12A2)
#define GE98_TAPE_GEHOS_lng	24
#define GE98_TAPE_GESYS		16	// System ID number (I)
#define GE98_TAPE_GECID		17	// System ID number tape created on
#define GE98_TAPE_GETID		18	// This tape's ID number (I)
#define GE98_TAPE_GEDNS		19	// Tape encoding (1600/800 bpi) (I)
#define GE98_TAPE_GELNG		20	// Tape length (2400/1200/600 ft) (I)
#define GE98_TAPE_GEUNL		21	// Unused tape length (I)
#define GE98_TAPE_GECMP		22	// Data compression flag (0 or 1)
#define GE98_TAPE_GEFUL		23	// Tape full flag (0=not, 1=full)
#define GE98_TAPE_GECMON	24	// Month of tape creation (I)
#define GE98_TAPE_GECDAY	25	// Day of tape creation (I)
#define GE98_TAPE_GECYEAR	26	// Year of tape creation (I)
#define GE98_TAPE_GEUMON	27	// Month of most recent use (I)
#define GE98_TAPE_GEUDAY	28	// Day of most recent use (I)
#define GE98_TAPE_GEUYEAR	29	// Year of most recent use (I)
#define GE98_TAPE_GENUM		30	// Number of images on tape (I)
#define GE98_TAPE_GE1ST		31	// 1st patient entry pointer (I) == 41
#define GE98_TAPE_GEUNE		32	// 1st unused word offset pointer (I)

// 16 bit Word Offsets for Patient ID Entry

#define GE98_TAPE_PE_LENGTH	24	// Length of patient id entry in 16 bit words

#define GE98_TAPE_PEPID		0	// Patient ID # (6A2)
#define GE98_TAPE_PEPID_lng	12
#define GE98_TAPE_PEPNM		6	// Patient name (15A2)
#define GE98_TAPE_PEPNM_lng	30
#define GE98_TAPE_PE1ST		21	// 1st exam entry pointer (I)
#define GE98_TAPE_PENXT		22	// Next patient entry pointer (I,-1=end)
#define GE98_TAPE_PEBCK		23	// Backward link of this entry (I)

// 16 bit Word Offsets for Exam Entry

#define GE98_TAPE_EE_LENGTH	16	// Length of exam entry in 16 bit words

// dont know the format - just have to guess (swapped 10 & 11 on 10Feb91)

#define GE98_TAPE_EXSSN		0	// Scan station number (I)
#define GE98_TAPE_EXNUM		1	// Exam Number (4A2)
#define GE98_TAPE_EXNUM_lng	8
#define GE98_TAPE_EXMON		5	// Month of scan (I)
#define GE98_TAPE_EXDAY		6	// Day of scan (I)
#define GE98_TAPE_EXYEAR	7	// Year of scan (I)
#define GE98_TAPE_EX1ST		9	// 1st position code entry (I)
#define GE98_TAPE_EXBCK		10	// Backward link (I)
#define GE98_TAPE_EXNXT		11	// Next exam entry (I,-1=end)

// 16 bit Word Offsets for Position Code Entry

#define GE98_TAPE_PC_LENGTH	16	// Length of position code entry in 16 bit words

#define GE98_TAPE_PCCODE	0	// Position code (I)
#define GE98_TAPE_PCPRO		1	// Pointer to 1st prospective image entry (I)
#define GE98_TAPE_PCSCT		2	// Pointer to 1st scout image entry (I)
#define GE98_TAPE_PCRET		3	// Pointer to 1st retrospective image entry (I)
#define GE98_TAPE_PCSEG		4	// Pointer to 1st segmented image entry (I)
#define GE98_TAPE_PCSAV		5	// Pointer to 1st screen save image entry (I)
#define GE98_TAPE_PCPDI		6	// Pointer to 1st plot data image entry (I)
#define GE98_TAPE_PCBCK		7	// Backward linkage (I)
#define GE98_TAPE_PCNXT		8	// Next position code entry (I)

// 16 bit Word Offsets for Image Entry

#define GE98_TAPE_IM_LENGTH	16	// Length of image entry in 16 bit words

#define GE98_TAPE_IMNUM		0	// Image number (I)
#define GE98_TAPE_IMRNUM	1	// Reconstruction number (I)
#define GE98_TAPE_IMRMON	2	// Month of reconstruction (I)
#define GE98_TAPE_IMRDAY	3	// Day of reconstruction (I)
#define GE98_TAPE_IMRYEAR	4	// Year of reconstruction (I)
#define GE98_TAPE_IMRHOUR	5	// Hour of reconstruction (I)
#define GE98_TAPE_IMRMIN	6	// Minute of reconstruction (I)
#define GE98_TAPE_IMRSEC	7	// Second of reconstruction (I)
#define GE98_TAPE_IMSIZ		8	// Image size (# of disk blks) (I)
#define GE98_TAPE_IMAMON	9	// Month of archival (I)
#define GE98_TAPE_IMADAY	10	// Day of archival (I)
#define GE98_TAPE_IMAYEAR	11	// Year of archival (I)
#define GE98_TAPE_IMFNO		12	// File # (this image on tape) (I)
#define GE98_TAPE_IMBCK		13	// Backward linkage (I)
#define GE98_TAPE_IMNXT		14	// Next image entry (I)

