.TH GE98LS9T 1 "05 March 1995" "Vendor Archives" "GE 9800 list tape directory"
.SH NAME
ge98ls9t \- GE 9800 list tape directory
.SH SYNOPSIS
.HP 10
.B ge98ls9t
[
.B \-v|\-b|\-i|\-t
] <
.I tapedirfilename
.SH DESCRIPTION
.LP
.B ge98ls9t
lists the contents of the GE 9800 image tape directory read from standard input (ie. it must already have been read from the tape). The degree of verbosity and the output format are controlled by command line options, allowing display of complete information, or limited values for use in scripts.
.SH OPTIONS
.LP
Default option is brief. The options are:
.TP
.B \-v
.RS
Verbose - describes every field in the directory.
.RE
.TP
.B \-b
.RS
Brief - show patient, exam, prs and image fields.
.RE
.TP
.B \-i
.RS
Identification only - show patient and exam fields.
.RE
.TP
.B \-t
.RS
Tape only - show tape ID number and number of images.
.RE
.SH ENVIRONMENT
.LP
\ 
.SH EXAMPLES
.LP
\n % ge98ls9t <TAPEDIR.2345
\n 
\n Tape # 2345 contains 141 images
\n   PatientName DOE, JOHN
\n   PatientID 999999-1
\n     Exam 07626
\n     Date 01/26/93
\n       Prs 01
\n         Img #   Tapefile # (Prospective images)
\n         P 01    1
\n         P 02    2
\n         Img #   Tapefile # (ScoutView images)
\n         V 01    19
\n ...
\n   PatientName DOE, MARY
\n   PatientID 999999-2
\n     Exam 07627
\n     Date 01/27/93
\n       Prs 01
\n         Img #   Tapefile # (Prospective images)
\n         P 01    55
\n ...
\n 
\n % ge98ls9t -i < TAPEDIR.2345
\n   PatientName DOE, JOHN
\n   PatientID 999999-1
\n     Exam 07626
\n     Date 01/26/93
\n   PatientName DOE, MARY
\n   PatientID 999999-2
\n     Exam 07627
\n     Date 01/27/93
\n 
\n % ge98ls9t -t < TAPEDIR.2345
\n Tape # 2345 contains 141 images
\n 
\n % ge98ls9t -v < TAPEDIR.2345
\n Global Entry:
\n 
\n         CT System ID Field:     98
\n         Revision Level:         16706
\n         Attached Flag:          0
\n         Hospital Name:          ST. ELSEWHERE
\n         System ID:              1
\n         System ID created on:   1
\n         Tape ID #:              2345
\n         Tape Encoding Mode:     1600
\n         Tape Length:            2400
\n         Unused tape Length:     370
\n         Data Compressed:        1
\n         Tape Full:              0
\n         Creation Date M/D/Y:    01/27/93
\n         Recent Use Date M/D/Y:  01/27/93
\n         # of Images on Tape:    141
\n         1st Patient Entry:      41
\n         1st Unused Entry:       2545
\n 
\n Patient Entry:
\n 
\n         Patient ID:             999999-1
\n         Patient Name:           DOE, JOHN
\n         1st Exam Entry:         65
\n         Next Patient Entry:     993
\n         Backward Link:          -1
\n 
\n Exam Entry:
\n 
\n         Scan Station #:         1
\n         Exam #:                 07626
\n         Scan Date M/D/Y:        01/26/93
\n         1st Position Entry:     81
\n         Next Exam Entry:        -1
\n         Backward Link:          -1
\n ...
.SH FILES
.LP
\ 
.SH SEE ALSO
.BR dc3archive(1) ,
.BR dc3convert(1) ,
.BR dc3intro(1) ,
.BR dc3intro(3) ,
.BR dc3intro(5) ,
.BR dc3misc(1) ,
.BR dc3simple(1) ,
.BR ge98ex9t(1) ,
.BR ge98gzip(1) ,
.BR ge98ls9t(1) ,
.BR ge98vf9t(1)
.SH AUTHOR
Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved.
.SH BUGS
