static char *CopyrightIdentifier(void) { return "@(#)ge98tone.cc 0.12 95/09/18 Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved."; }

#ifdef __GNUG__
#include <builtin.h>
#endif
#include <math.h>
#include <string.h>

#include <strstream.h>
#include <iomanip.h>

#include "tlist.h"
#include "tfstream.h"
#include "tddictc.h"
#include "tplanen.h"
#include "tuidgen.h"
#include "tabstc.h"

#include "dgtypes.h"

#include "tattrmk.h"

/* ************************ Local Routines ************************ */

void
read_header(
	ifstream& instream,		// where to read from
	DC3ListofAttributes& list,	// list to add new attributes to
	const char *stamp,		// substitute date/time stamp for UIDs
	Uint16& width,			// Returned - image width
	Uint16& height,			// Returned - image height
	Uint16& usemap,			// Returned - use map
	Uint16& mapblock,		// Returned - block offset to map
	Uint16& datablock		// Returned - block offset to image
	)
{
#include "ge98ptrs.h"

	// Use the automagically generated file of code
	// - to fetch the GE9800 tags that define the block positions ...
	// - to transform GE9800 atributes into DICOM ones ...
	// - to fetch the GE9800 tags that we need to work manually from ...

#include "ge98tone.h"

	// Now do the manual manipulation of tags that don't map
	// directly ...

#include "ge98man1.h"
#include "ge98man2.h"

	// Return values we need to read the image ...

	if (CT98_FileType.toUS() == 2) {		// Scout
		width=CT98_DetectorsPerView.toUS();
		height=CT98_ViewsPerScan.toUS();
	}
	else {
		width=height=CT98_ImageSize.toUS();
	}

	usemap=(CT98_UseImageMap.toUS() == 1) ? 1 : 0;	// 1=y,2=n

	mapblock=CT98_IMAGEMAP_ptr;
	datablock=CT98_IMAGEDATA_ptr;
}

