/* genman2.h 0.12 95/09/18 Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved. */

	{
		// StudyDate

		DC3Tag tag (DC3StudyDate_GROUP,
			    DC3StudyDate_ELEMENT);
		// ? should use ex_datetime ?
		char *out = GENESIS_EX_ex_lastmod.toDA();
		DC3DateString *attribute =
			new DC3DateString(tag,strlen(out),out);
		list.insert(attribute);
	}
	{
		// StudyTime

		DC3Tag tag (DC3StudyTime_GROUP,
			    DC3StudyTime_ELEMENT);
		// ? should use ex_datetime ?
		char *out = GENESIS_EX_ex_lastmod.toTM();
		DC3TimeString *attribute =
			new DC3TimeString(tag,strlen(out),out);
		list.insert(attribute);
	}
	{
		// SeriesDate

		DC3Tag tag (DC3SeriesDate_GROUP,
			    DC3SeriesDate_ELEMENT);
		// ? should use SE_se_actual_dt ? SE_se_datetime ?
		char *out = GENESIS_SE_se_lastmod.toDA();
		DC3DateString *attribute =
			new DC3DateString(tag,strlen(out),out);
		list.insert(attribute);
	}
	{
		// SeriesTime

		DC3Tag tag (DC3SeriesTime_GROUP,
			    DC3SeriesTime_ELEMENT);
		// ? should use SE_se_actual_dt ? SE_se_datetime ?
		char *out = GENESIS_SE_se_lastmod.toTM();
		DC3TimeString *attribute =
			new DC3TimeString(tag,strlen(out),out);
		list.insert(attribute);
	}
	{
		// ImageDate

		DC3Tag tag (DC3ImageDate_GROUP,
			    DC3ImageDate_ELEMENT);
		char *out = "";
		// ? should use im_actual_dt ? im_datetime ?
		if (isct) out = GENESIS_CT_im_lastmod.toDA();
		if (ismr) out = GENESIS_MR_im_lastmod.toDA();
		DC3DateString *attribute =
			new DC3DateString(tag,strlen(out),out);
		list.insert(attribute);
	}
	{
		// ImageTime

		DC3Tag tag (DC3ImageTime_GROUP,
			    DC3ImageTime_ELEMENT);
		char *out = "";
		// ? should use im_actual_dt ? im_datetime ?
		if (isct) out = GENESIS_CT_im_lastmod.toTM();
		if (ismr) out = GENESIS_MR_im_lastmod.toTM();
		DC3TimeString *attribute =
			new DC3TimeString(tag,strlen(out),out);
		list.insert(attribute);
	}
	{
		// AcquisitionDate

		DC3Tag tag (DC3AcquisitionDate_GROUP,
			    DC3AcquisitionDate_ELEMENT);
		char *out = "";
		// ? should use im_lastmod ? im_datetime ?
		if (isct) out = GENESIS_CT_im_actual_dt.toDA();
		if (ismr) out = GENESIS_MR_im_actual_dt.toDA();
		DC3DateString *attribute =
			new DC3DateString(tag,strlen(out),out);
		list.insert(attribute);
	}
	{
		// AcquisitionTime

		DC3Tag tag (DC3AcquisitionTime_GROUP,
			    DC3AcquisitionTime_ELEMENT);
		char *out = "";
		// ? should use im_lastmod ? im_datetime ?
		if (isct) out = GENESIS_CT_im_actual_dt.toTM();
		if (ismr) out = GENESIS_MR_im_actual_dt.toTM();
		DC3TimeString *attribute =
			new DC3TimeString(tag,strlen(out),out);
		list.insert(attribute);
	}
	{
		// PatientWeight

		DC3Tag tag (DC3PatientWeight_GROUP,
			    DC3PatientWeight_ELEMENT);
		ostrstream ost;
		// see dgtypes.cc for discussion of this ...
		ost << dec << setiosflags(ios::fixed)
		    << setiosflags(ios::showpoint) << setprecision(6)
		    << ((double)GENESIS_EX_patweight.toUL())/1000.0
		    << '\0';
		char *out = ost.str();
		DC3DecimalString *attribute =
			new DC3DecimalString(tag,strlen(out),out);
		list.insert(attribute);
	}
	{
		// PixelSpacing
		// ReconstructionDiameter
		// DateCollectionDiameter

		// unsigned imatrix_X = 0;
		// unsigned imatrix_Y = 0;
		double 	dfov       = 0;
		double 	dfov_rect  = 0;
		// double 	dim_X      = 0;
		// double 	dim_Y      = 0;
		double 	pixsize_X  = 0;
		double 	pixsize_Y  = 0;
		if (isct) {
			// imatrix_X=GENESIS_CT_imatrix_X.toUS();
			// imatrix_Y=GENESIS_CT_imatrix_Y.toUS();
			dfov     =GENESIS_CT_dfov.todouble();
			dfov_rect=GENESIS_CT_dfov_rect.todouble();
			// dim_X    =GENESIS_CT_dim_X.todouble();
			// dim_Y    =GENESIS_CT_dim_Y.todouble();
			pixsize_X=GENESIS_CT_pixsize_X.todouble();
			pixsize_Y=GENESIS_CT_pixsize_Y.todouble();
		}
		if (ismr) {
			// imatrix_X=GENESIS_MR_imatrix_X.toUS();
			// imatrix_Y=GENESIS_MR_imatrix_Y.toUS();
			dfov     =GENESIS_MR_dfov.todouble();
			dfov_rect=GENESIS_MR_dfov_rect.todouble();
			// dim_X    =GENESIS_MR_dim_X.todouble();
			// dim_Y    =GENESIS_MR_dim_Y.todouble();
			pixsize_X=GENESIS_MR_pixsize_X.todouble();
			pixsize_Y=GENESIS_MR_pixsize_Y.todouble();
		}
		{
			// PixelSpacing

			DC3Tag tag (DC3PixelSpacing_GROUP,
				    DC3PixelSpacing_ELEMENT);
			DC3DecimalString *attribute =
				MakeDecimalStringFromTwoDouble(tag,
					pixsize_X,pixsize_Y);
			list.insert(attribute);
		}

		// which Genesis tags to use for ReconstructionDiameter ?

// sample genesis mr sagittal:

// Image matrix size - X  <256>
// Image matrix size - Y  <256>
// Display field of view - X (mm) (MR_dfov)       <240.000000>
// Display field of view - Y (if different) (MR_dfov_rect)        <240.000000>
// Image dimension - X    <256.000000>
// Image dimension - Y    <192.000000>
// Image pixel size - X   <0.937500>
// Image pixel size - Y   <0.937500>

// sample genesis ct scout:

// Image matrix size - X  <512>
// Image matrix size - Y  <197>
// Display field of view - X (mm) (CT_dfov)       <496.375183>
// Display field of view - Y (if different) (CT_dfov_rect)        <199.890442>
// Image dimension - X    <496.375183>
// Image dimension - Y    <199.890442>
// Image pixel size - X   <0.969483>
// Image pixel size - Y   <1.014672>
// Scan field of view (mm)        <496.369995>

		// it seems that imatrix_X*pixsize_X=dfov
		// and           imatrix_Y*pixsize_Y=dfov_rect
		//
		// furthermore this matches the image co-ordinate values
		//
		// so use average or max of dfov and dfov_rect
		//
		// what then are dim_X and dim_Y ?

		// NB. the DataCollectionDimater is done for CT in the
		// template using CT_sfovmm

		// should this be average or max ?

		// NB. this highlights the fact that DICOM is wrong to
		// use just a simple diameter and not a multivalued
		// dimension ... therefore to be useful one has to use
		// the pixel spacing times matrix size to be safe !

		// double recon_diameter = (dfov + dfov_rect)/2.0;
		double recon_diameter = (dfov > dfov_rect) ? dfov : dfov_rect;

		{
			// ReconstructionDiameter

			char str[20];	// should be enough for DG Real !
			ostrstream ost(str,20);
			ost << dec << recon_diameter << '\0';

			DC3Tag tag (DC3ReconstructionDiameter_GROUP,
				    DC3ReconstructionDiameter_ELEMENT);
			DC3DecimalString *attribute =
				new DC3DecimalString(tag,strlen(str),str);
			list.insert(attribute);
		}
	}
	if (isct) {
		// DistanceSourceToDetector

		DC3Tag tag (DC3DistanceSourceToDetector_GROUP,
			    DC3DistanceSourceToDetector_ELEMENT);
		ostrstream ost;
		// see dgtypes.cc for discussion of this ...
		ost << dec << setiosflags(ios::fixed)
		    << setiosflags(ios::showpoint) << setprecision(6)
		    << GENESIS_EX_srctodet.todouble()
		    << '\0';
		char *out = ost.str();
		DC3DecimalString *attribute =
			new DC3DecimalString(tag,strlen(out),out);
		list.insert(attribute);
	}
	if (isct) {
		// DistanceSourceToPatient

		DC3Tag tag (DC3DistanceSourceToPatient_GROUP,
			    DC3DistanceSourceToPatient_ELEMENT);
		ostrstream ost;
		// see dgtypes.cc for discussion of this ...
		ost << dec << setiosflags(ios::fixed)
		    << setiosflags(ios::showpoint) << setprecision(6)
		    << GENESIS_EX_srctoiso.todouble()
		    << '\0';
		char *out = ost.str();
		DC3DecimalString *attribute =
			new DC3DecimalString(tag,strlen(out),out);
		list.insert(attribute);
	}
	if (isct) {
		// FilterType

		DC3Tag tag (DC3FilterType_GROUP,
			    DC3FilterType_ELEMENT);
		char *str;
		switch (GENESIS_CT_filttyp.toUS()) {
			case 1:		str="AIR"; break;
			case 2:		str="BODY"; break;
			case 3:		str="BOWTIE FLAT:ADULT HEAD"; break;
			case 4:		str="FLAT"; break;
			case 5:		str="HIGH:ADULT HEAD/HF"; break;
			default:	str=""; break;
		}
		DC3ShortString *attribute =
			new DC3ShortString(tag,strlen(str),str);
		list.insert(attribute);
	}
	if (isct) {
		// RotationDirection

		DC3Tag tag (DC3RotationDirection_GROUP,
			    DC3RotationDirection_ELEMENT);
		char *str;
		switch (GENESIS_CT_gandir.toUS()) {
			case 1:		str="CW"; break;
			case 2:		str="CC"; break;
			default:	str=""; break;
		}
		DC3CodeString *attribute =
			new DC3CodeString(tag,strlen(str),str);
		list.insert(attribute);
	}
	if (isct) {
		// ExposureTime

		Uint16 exposure = (Uint16)(GENESIS_CT_sctime.todouble()*1000.0);

		DC3Tag tag (DC3ExposureTime_GROUP,
			    DC3ExposureTime_ELEMENT);
		char str[10];		// should be enough for Uint16 string
		ostrstream ost(str,10);
		ost << dec << exposure << '\0';
		DC3IntegerString *attribute =
			new DC3IntegerString(tag,strlen(str),str);
		list.insert(attribute);
	}
	if (isct) {
		// Exposure

		Uint16 exposure =
			(Uint16)(GENESIS_CT_sctime.todouble()
				*GENESIS_CT_mamp.toUL());

		DC3Tag tag (DC3Exposure_GROUP,
			    DC3Exposure_ELEMENT);
		char str[10];		// should be enough for Uint16 string
		ostrstream ost(str,10);
		ost << dec << exposure << '\0';
		DC3IntegerString *attribute =
			new DC3IntegerString(tag,strlen(str),str);
		list.insert(attribute);
	}
	if (ismr) {
		// MagneticFieldStrength

		DC3Tag tag (DC3MagneticFieldStrength_GROUP,
			    DC3MagneticFieldStrength_ELEMENT);
		ostrstream ost;
		// see dgtypes.cc for discussion of this ...
		ost << dec << setiosflags(ios::fixed)
		    << setiosflags(ios::showpoint) << setprecision(6)
		    << ((double)GENESIS_EX_magstrength.toUL())/10000.0
		    << '\0';
		char *out = ost.str();
		DC3DecimalString *attribute =
			new DC3DecimalString(tag,strlen(out),out);
		list.insert(attribute);
	}
	if (ismr) {
		// RepetitionTime

		DC3Tag tag (DC3RepetitionTime_GROUP,
			    DC3RepetitionTime_ELEMENT);
		ostrstream ost;
		// see dgtypes.cc for discussion of this ...
		ost << dec << setiosflags(ios::fixed)
		    << setiosflags(ios::showpoint) << setprecision(6)
		    << ((double)GENESIS_MR_tr.toUL())/1000.0
		    << '\0';
		char *out = ost.str();
		DC3DecimalString *attribute =
			new DC3DecimalString(tag,strlen(out),out);
		list.insert(attribute);
	}
	if (ismr) {
		// EchoTime

		DC3Tag tag (DC3EchoTime_GROUP,
			    DC3EchoTime_ELEMENT);
		ostrstream ost;
		// see dgtypes.cc for discussion of this ...
		ost << dec << setiosflags(ios::fixed)
		    << setiosflags(ios::showpoint) << setprecision(6)
		    << ((double)GENESIS_MR_te.toUL())/1000.0
		    << '\0';
		char *out = ost.str();
		DC3DecimalString *attribute =
			new DC3DecimalString(tag,strlen(out),out);
		list.insert(attribute);
	}
	if (ismr) {			// ? should check sequence type ?
		// InversionTime

		DC3Tag tag (DC3InversionTime_GROUP,
			    DC3InversionTime_ELEMENT);
		ostrstream ost;
		// see dgtypes.cc for discussion of this ...
		ost << dec << setiosflags(ios::fixed)
		    << setiosflags(ios::showpoint) << setprecision(6)
		    << ((double)GENESIS_MR_ti.toUL())/1000.0
		    << '\0';
		char *out = ost.str();
		DC3DecimalString *attribute =
			new DC3DecimalString(tag,strlen(out),out);
		list.insert(attribute);
	}
	if (ismr) {
		// ScanningSequence
		// SequenceVariant
		// ScanOptions

		DC3Tag ScanningSequencetag (DC3ScanningSequence_GROUP,
			    DC3ScanningSequence_ELEMENT);
		DC3CodeString *ScanningSequence =
			new DC3CodeString(ScanningSequencetag,0);

		DC3Tag SequenceVarianttag (DC3SequenceVariant_GROUP,
			    DC3SequenceVariant_ELEMENT);
		DC3CodeString *SequenceVariant =
			new DC3CodeString(SequenceVarianttag,0);

		DC3Tag ScanOptionstag (DC3ScanOptions_GROUP,
			    DC3ScanOptions_ELEMENT);
		DC3CodeString *ScanOptions =
			new DC3CodeString(ScanOptionstag,0);

		switch (GENESIS_MR_pseq.toUS()) {
			case 0:			// SE
					ScanningSequence->add("SE");
					break;
			case 1:			// IR
					ScanningSequence->add("IR");
					break;
			case 2:			// RM:RM
					ScanningSequence->add("RM");
					break;
			case 3:			// RMGE:none
					ScanningSequence->add("RM");
					break;
			case 4:			// GRE:GR
					ScanningSequence->add("GR");
					break;
			case 5:			// MPGR
					ScanningSequence->add("GR");
					break;
			case 6:			// MPIRS:IR/s
					ScanningSequence->add("IR");
					break;
			case 7:			// MPIRI:IR
					ScanningSequence->add("IR");
					break;
			case 8:			// VOGRE:3D/GR
					ScanningSequence->add("GR");
					break;
			case 9:			// CINEGRE:Cine/GRE
					ScanningSequence->add("GR");
					break;
			case 10:		// SPGR
					ScanningSequence->add("GR");
					SequenceVariant->add("SP");
					break;
			case 11:		// SSFP
					ScanningSequence->add("GR");
					SequenceVariant->add("TRSS");
					break;
			case 12:		// TF:TOF
					ScanningSequence->add("GR");
					break;
			case 13:		// PC
					ScanningSequence->add("GR");
					break;
			case 14:		// CINSPGR:Cine/SPGR
					ScanningSequence->add("GR");
					SequenceVariant->add("SP");
					break;
			case 15:		// TOFGR:TOG/GR
					ScanningSequence->add("GR");
					break;
			case 16:		// TOFSPGR:TOF/SPGR
					ScanningSequence->add("GR");
					SequenceVariant->add("SP");
					break;
			case 17:		// PCGR:PC/GR
					ScanningSequence->add("GR");
					break;
			case 18:		// PCSPGR:PC/SPGR
					ScanningSequence->add("GR");
					SequenceVariant->add("SP");
					break;
			case 19:		// FSE
					ScanningSequence->add("SE");
					SequenceVariant->add("SK");
					break;
			case 20:		// FGR
					ScanningSequence->add("GR");
					SequenceVariant->add("SK");
					break;
			case 21:		// FMPGR
					ScanningSequence->add("GR");
					SequenceVariant->add("SK");
					break;
			case 22:		// FSPGR
					ScanningSequence->add("GR");
					SequenceVariant->add("SP");
					SequenceVariant->add("SK");
					break;
			case 23:		// FMPSPGR
					ScanningSequence->add("GR");
					SequenceVariant->add("SP");
					SequenceVariant->add("SK");
					break;
			case 24:		// SPECT
					break;
			case 25:		// PSEQ_MIXED:MIXED
					break;
			default:	break;
		}

		if (GENESIS_MR_iopt.toUS() & 1<<0) {	// EG - ECG Gated
			ScanOptions->add("CG");
		}
		if (GENESIS_MR_iopt.toUS() & 1<<1) {	// RESP - Resp Gated
			ScanOptions->add("RG");
		}
		if (GENESIS_MR_iopt.toUS() & 1<<2) {	// RC - Resp Compensated
			ScanOptions->add("PER");
		}
		if (GENESIS_MR_iopt.toUS() & 1<<3) {	// FC - Flow Compensated
			ScanOptions->add("FC");
		}
		if (GENESIS_MR_iopt.toUS() & 1<<4) {	// CL
		}
#ifndef DOSATOPTIONHERE
		if (GENESIS_MR_iopt.toUS() & 1<<5) {	// ST - Sat parameters
			ScanOptions->add("SP");		// spatial presaturation
		}
#endif
		if (GENESIS_MR_iopt.toUS() & 1<<6) {	// PG - Periph Gated
			ScanOptions->add("PPG");
		}
		if (GENESIS_MR_iopt.toUS() & 1<<7) {	// NP - No Phase Wrap
			SequenceVariant->add("OSP");
		}
		if (GENESIS_MR_iopt.toUS() & 1<<8) {	// NF - ?
		}
		if (GENESIS_MR_iopt.toUS() & 1<<9) {	// RT - Rect FOV
		}
		if (GENESIS_MR_iopt.toUS() & 1<<10) {	// VB - Var Bandwidth
		}
		if (GENESIS_MR_iopt.toUS() & 1<<11) {	// ED - Ext Dynamic Rng
		}
		if (GENESIS_MR_iopt.toUS() & 1<<12) {	// PM - POMP
		}
		if (GENESIS_MR_iopt.toUS() & 1<<13) {	// SQ - ?
		}
		if (GENESIS_MR_iopt.toUS() & 1<<14) {	// CS - Contig Slice
		}
		if (GENESIS_MR_iopt.toUS() & 1<<15) {	// MP - Multiplanar
		}

		switch (GENESIS_MR_supp_tech.toUS()) {
			case 1:
				ScanOptions->add("FS");	// fat saturation
				break;
			case 2:
				ScanOptions->add("WS");	// water saturation
				break;			// not DICOM def term
			default:
				break;
		}
#ifdef DOSATOPTIONHERE
		if (GENESIS_MR_satbits.toUS()) {	// if any bits set
			ScanOptions->add("SP");		// spatial presaturation
		}
#endif
		if (GENESIS_MR_scic.toUS()) {
			ScanOptions->add("IIC");	// intensity correction
		}					// not DICOM def term

		if (GENESIS_MR_frac_echo.toUS() & 1<<0) {
			ScanOptions->add("PFF");	// partial fourier freq
		}

		switch (GENESIS_MR_prep_pulse.toUS()) {
			case 1:				// Inversion Recovery:IR
			case 2:				// Driven Equilibrium:DE
				SequenceVariant->add("MP");	// mag prepared
				break;
			default:
				break;
		}

		// DC3ListofStrings::GetValueMultiplicity()' is protected

		SequenceVariant->first();
		if (!SequenceVariant->ismore())
			SequenceVariant->add("NONE");

		list.insert(ScanningSequence);
		list.insert(SequenceVariant);
		list.insert(ScanOptions);
	}
	if (ismr) {
		// MRAcquisitionType

		DC3Tag tag (DC3MRAcquisitionType_GROUP,
			    DC3MRAcquisitionType_ELEMENT);
		char *str;
		switch(GENESIS_MR_imode.toUS()) {
			case 1:			// Two D:2D
				str="2D";
				break;
			case 2:			// Three D Volume:3D
			case 3:			// Three D Fourier:
				str="3D";
				break;
			case 4:			// Cine:Cine
			case 5:			// Angiography:ANGIO
			case 6:			// Spectroscopy:SPECT
			case 7:			// Flouroscopy:FLOURO
			case 8:			// Research Mode:RM
			default:	str="";
		}
		DC3CodeString *attribute =
			new DC3CodeString(tag,strlen(str),str);
		list.insert(attribute);
	}
	if (ismr) {
		// PhaseEncodingDirection

		DC3Tag tag (DC3PhaseEncodingDirection_GROUP,
			    DC3PhaseEncodingDirection_ELEMENT);
		char *str;

		if (GENESIS_MR_swappf.toUS())	// Swap Phase/Frequency:SPF
			str="COL";
		else
			str="ROW";

		DC3CodeString *attribute =
			new DC3CodeString(tag,strlen(str),str);
		list.insert(attribute);
	}
	if (ismr) {
		// AngioFlag

		DC3Tag tag (DC3AngioFlag_GROUP,
			    DC3AngioFlag_ELEMENT);
		char *str;

		int angio;
		switch (GENESIS_MR_pseq.toUS()) {
			case 12:		// TF:TOF
			case 13:		// PC
			case 15:		// TOFGR:TOG/GR
			case 16:		// TOFSPGR:TOF/SPGR
			case 17:		// PCGR:PC/GR
			case 18:		// PCSPGR:PC/SPGR
				angio=1;
				break;
			default:
				angio=0;
				break;
		}

		int projected;
		switch (GENESIS_MR_proj_alg.toUS()) {
			case 0:			// none
				projected=0;
				break;
			case 1:			// Prototype
			case 2:			// Minimum Pixel:Min
			case 3:			// Maximum Pixel:Max
			default:
				projected=1;
				break;
		}

		// if any bits set ...
		int collapsed = GENESIS_MR_vas_collapse.toUS() ? 1: 0;

		if (angio && !collapsed && !projected)
			str="Y";
		else
			str="N";
		DC3CodeString *attribute =
			new DC3CodeString(tag,strlen(str),str);
		list.insert(attribute);
	}
	if (ismr) {
		// EchoTrainLength

		unsigned etl=GENESIS_MR_echo_trn_len.toUS();
		DC3Tag tag (DC3EchoTrainLength_GROUP,
			    DC3EchoTrainLength_ELEMENT);
		DC3IntegerString *attribute =
			etl
			? MakeIntegerStringFromUnsigned(tag,etl)
			: MakeIntegerStringEmpty(tag);
		list.insert(attribute);
	}
	{
		// BitsAllocated = depth (will be 16 almost certainly)

		DC3Tag tag (DC3BitsAllocated_GROUP,
			    DC3BitsAllocated_ELEMENT);
		Uint16 i = GENESIS_IH_img_depth.toUS();
		DC3UnsignedShort *attribute =
			new DC3UnsignedShort(tag,2,&i);
		list.insert(attribute);
	}
	{
		// BitsStored = depth (assume full width of word used

		DC3Tag tag (DC3BitsStored_GROUP,
			    DC3BitsStored_ELEMENT);
		Uint16 i = GENESIS_IH_img_depth.toUS();
		DC3UnsignedShort *attribute =
			new DC3UnsignedShort(tag,2,&i);
		list.insert(attribute);
	}
	{
		// HighBit = depth - 1

		DC3Tag tag (DC3HighBit_GROUP,
			    DC3HighBit_ELEMENT);
		Uint16 i = GENESIS_IH_img_depth.toUS()-1;
		DC3UnsignedShort *attribute =
			new DC3UnsignedShort(tag,2,&i);
		list.insert(attribute);
	}

	{
		// Manufacturer = "GENERAL ELECTRIC"

		DC3Tag tag (DC3Manufacturer_GROUP,
			    DC3Manufacturer_ELEMENT);
		char *str = "GENERAL ELECTRIC";
		DC3LongString *attribute =
			new DC3LongString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// PixelRepresentation = 0 (unsigned)

		DC3Tag tag (DC3PixelRepresentation_GROUP,
			    DC3PixelRepresentation_ELEMENT);
		Uint16 i = 0;
		DC3UnsignedShort *attribute =
			new DC3UnsignedShort(tag,2,&i);
		list.insert(attribute);
	}
	{
		// SamplesPerPixel = 1

		DC3Tag tag (DC3SamplesPerPixel_GROUP,
			    DC3SamplesPerPixel_ELEMENT);
		Uint16 i = 1;
		DC3UnsignedShort *attribute =
			new DC3UnsignedShort(tag,2,&i);
		list.insert(attribute);
	}
	{
		// PhotometricInterpretation = MONOCHROME2

		DC3Tag tag (DC3PhotometricInterpretation_GROUP,
			    DC3PhotometricInterpretation_ELEMENT);
		char *str = "MONOCHROME2";
		DC3CodeString *attribute =
			new DC3CodeString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// RescaleIntercept = 0

		DC3Tag tag (DC3RescaleIntercept_GROUP,
			    DC3RescaleIntercept_ELEMENT);
		char *str = "0";
		DC3DecimalString *attribute =
			new DC3DecimalString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// RescaleSlope = 1

		DC3Tag tag (DC3RescaleSlope_GROUP,
			    DC3RescaleSlope_ELEMENT);
		char *str = "1";
		DC3DecimalString *attribute =
			new DC3DecimalString(tag,strlen(str),str);
		list.insert(attribute);
	}
