.TH GENTODC 1 "03 February 1995" "DICOM PS3" "GE Genesis CT/MR to DICOM"
.SH NAME
gentodc \- ACR/NEMA DICOM PS3 ... GE Genesis CT/MR to DICOM
.SH SYNOPSIS
.HP 10
.B gentodc
[
.BI \-l " imgf|dat"
]
[
.BI \-d " deletekeyword"
] ...
[
.BI \-r " replacekeyword values"
] ...
[
.BI \-m
]
[
.BI \-o " outputtransfersyntax"
]
[
.BI \-s " datestamp"
]
[
.B \-v
]
.I inputfilename
.I outputfilename
.SH DESCRIPTION
.LP
.B gentodc
reads the named GE Genesis CT/MR input file and converts it to a dicom output file.
.LP
.SH OPTIONS
Input and output file names 
.I must
be specified. Redirection from standard input or to standard output are
not supported. The verbose output goes to standard error.
.PP
The basic switches are described in dc3convert(1). Options specific to this program are:
.TP
.BI -l " imgf|dat"
.LP
.RS
Interpret input as Image Extract Tool ximg file (imgf) or DAT archive format (dat). The latter has the header order rearranged. Default is imgf.
.RE
.SH ENVIRONMENT
.LP
\ 
.SH EXAMPLES
.LP
\n % gentodc \-m \-v test test.dc3
\n 
\n ************** Deletions ************
\n ************** Replacements ************
\n **************** Reading **************
\n **************** Deleting **************
\n **************** Replacing **************
\n **************** Fixing **************
\n **************** Writing **************
\n ...
\n (000028,000010) US Rows       VR=<US> VL=<2> [100]
\n ...
.SH FILES
.LP
\ 
.SH SEE ALSO
.BR dc3archive(1) ,
.BR dc3convert(1) ,
.BR dc3intro(1) ,
.BR dc3intro(3) ,
.BR dc3intro(5) ,
.BR dc3misc(1) ,
.BR dc3simple(1) ,
.BR gendump(1) ,
.BR gentodc(1)
.SH AUTHOR
Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved.
.SH BUGS
