#  ifototpl.awk 0.12 95/09/18 Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved.

# derive a template file to describe General Electric genesis CT & MR files
# from the GE supplied genincl.c header file produced by "ximg -g"

BEGIN	{
	print "# Automatically generated file - edits may be lost"
	print
	print "# Offsets are in 8 bit bytes from 0"
	print "# Lengths are in intype words"
	print
	}

/^#define[ 	]_[a-zA-Z0-9_]*[ 	][a-zA-Z0-9_]/{

	tagname=$2
	taghex=$3
	tagdec=$5
	tagtype=$7	# char double float int short sizeof u_int u_short
			# Unsign (should be u_short)
			# VARTYPE -> struct { unsigned long length; char *ptr; }
			# optional [] or [nn] where [] means array length 1
			# sometimes empty

	basetype="***BAD***"
	if (match(tagtype,"[a-zA-Z_]*"))
		basetype=substr(tagtype,RSTART,RLENGTH)

	if (basetype == "Unsign")
		basetype="u_short"
	if (basetype == "")
		basetype="***BAD***"

	intype="SUN4_" basetype

	inlength=1
	if (match(tagtype,"[0-9][0-9]*"))
		inlength=substr(tagtype,RSTART,RLENGTH)

	comment=""
	if (match($0," - .* \*/$")) {
		wholecomment=substr($0,RSTART+length(" - "),
			RLENGTH-length(" - ")-length(" */"))
		if (match(wholecomment,"^.*- ")) {
			comment=substr(wholecomment,RLENGTH,
					length(wholecomment)-RLENGTH)
		}
	}

	block="***BAD***"
	if (match(tagname,"^_IH_"))
		block="FILEHDR"
	else if (match(tagname,"^_HS_"))
		block="HISTHDR"
	else if (match(tagname,"^_SU_"))
		block="SUITEHDR"
	else if (match(tagname,"^_EX_"))
		block="EXAMHDR"
	else if (match(tagname,"^_SE_"))
		block="SERIESHDR"
	else if (match(tagname,"^_CT_"))
		block="CTHDR"
	else if (match(tagname,"^_MR_"))
		block="MRHDR"

	keyword=substr(tagname,2,length(tagname)-1)

	offset=tagdec

	if (tagtype != "sizeof" && tagtype != "VARTYPE") {
		print "block=\"" block "\"\toffset=\"" offset "\"\tintype=\""  \
		intype "\"\tinlength=\"" inlength "\"\tkeyword=\"" keyword  \
		"\"\tdicomtype=\"?\"\tdicomtag=\"?\"\t# " comment
	}

	}
