/* s15exnmr.h 0.12 95/09/18 Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved. */

#ifndef _s15exnmr_HEADER_
#define _s15exnmr_HEADER_

#ifdef c_plusplus
#ifndef __cplusplus
#define __cplusplus
#endif
#endif
#ifdef __cplusplus
#ifndef c_plusplus
#define c_plusplus
#endif
#endif

typedef struct {
	char *nucleus;
	char *scanmode;
	char *sequence;
	char *thickness;
	char *offcenter[3];
	char *fov[2];
	char *resolution[2];
	char *slices3d;
	char *slicesms;
	char *slicefactor;
	char *measurements;
	char *echos;
	char *te1;
	char *te2;
	char *trse;
	char *trir;
	char *ti;
	char *orientm[3];
	char *orientp[3];
	char *orients[3];
	char *presatspectral;
	char *presat;
	char *flowcomp;
	char *coiltx;
	char *coilrx;
	char *weight;
	char *birthyear;
	char *freqsynth;
	char *flipangle;
	char *bwperpixel;
} ExtractedNMRParameters;

#ifdef __cplusplus
extern "C" {
#endif
ExtractedNMRParameters *getExtractedNMRParameters(void);
#ifdef __cplusplus
}
#endif

#define zeroExtractedNMRParameters(e) \
	e.nucleus=0; \
	e.scanmode=0; \
	e.sequence=0; \
	e.thickness=0; \
	e.offcenter[0]=0; \
	e.offcenter[1]=0; \
	e.offcenter[2]=0; \
	e.fov[0]=0; \
	e.fov[1]=0; \
	e.resolution[0]=0; \
	e.resolution[1]=0; \
	e.slices3d=0; \
	e.slicesms=0; \
	e.slicefactor=0; \
	e.measurements=0; \
	e.echos=0; \
	e.te1=0; \
	e.te2=0; \
	e.trse=0; \
	e.trir=0; \
	e.ti=0; \
	e.orientm[0]=0; \
	e.orientm[1]=0; \
	e.orientm[2]=0; \
	e.orientp[0]=0; \
	e.orientp[1]=0; \
	e.orientp[2]=0; \
	e.orients[0]=0; \
	e.orients[1]=0; \
	e.orients[2]=0; \
	e.presatspectral=0; \
	e.presat=0; \
	e.flowcomp=0; \
	e.coiltx=0; \
	e.coilrx=0; \
	e.weight=0; \
	e.birthyear=0; \
	e.freqsynth=0; \
	e.flipangle=0; \
	e.bwperpixel=0;

#endif /* _s15exnmr_HEADER_ */
