# Offsets are in bytes from 0

# Lengths are in intype words

# Block sizes are 1024 bytes (for image header)

# data types are shared with Sytec

block="STDHDR"	offset="0x0"	intype="PACE_string"	inlength="4"	name="STUDY"		dicomtype="?"	dicomtag="?"	# Eyecatcher !STD
block="STDHDR"	offset="0x6"	intype="PACE_byte"	inlength="1"	keyword="SMODELNO_Mod"	dicomtype="?"	dicomtag="?"	enum="1=CT,2=MR,3=Reserved"	# Model Number of Device - Modality
block="STDHDR"	offset="0x7"	intype="PACE_byte"	inlength="1"	keyword="SMODELNO_Mac"	dicomtype="?"	dicomtag="?"	enum="1=CT8600,2=CT8800,3=CT9000,4=EMI,5=ImageMax,6=Resona(MR MAX),7=Quantex(Pace),8=Reserved"	# Model Number of Device - Machine
block="STDHDR"	offset="0x8"	intype="PACE_u_int16"	inlength="1"	keyword="SMACHINE"	dicomtype="LO"	dicomtag="DeviceSerialNumber"	# Manufacturers Serial Number
block="STDHDR"	offset="0xa"	intype="PACE_string"	inlength="5"	name="SSTUDYNO"	dicomtype="SH"	dicomtag="StudyID"	# Study Number
block="STDHDR"	offset="0x10"	intype="PACE_string_date"	inlength="1"	keyword="SDATE"		dicomtype="?"	dicomtag="?"	# Study Date yyyy/mm/dd
block="STDHDR"	offset="0x1a"	intype="PACE_string_time"	inlength="1"	keyword="STIME"		dicomtype="?"	dicomtag="?"	# Study Time hh/mm/ss.xxx
block="STDHDR"	offset="0x26"	intype="PACE_string"	inlength="12"	name="SPATID"	dicomtype="LO"	dicomtag="PatientID"	# Patient ID
block="STDHDR"	offset="0x36"	intype="PACE_string"	inlength="12"	name="SPATNAME"	dicomtype="PN"	dicomtag="PatientName"	# Patient Name
block="STDHDR"	offset="0x50"	intype="PACE_string"	inlength="6"	keyword="SAGE"		dicomtype="?"	dicomtag="?"	# Patient Age yyy;mm
block="STDHDR"	offset="0x56"	intype="PACE_string"	inlength="5"	name="SWEIGHT"	dicomtype="DS"	dicomtag="PatientWeight"	# Patient weight kg
block="STDHDR"	offset="0x5c"	intype="PACE_string"	inlength="2"	name="SSEX"		dicomtype="CS"	dicomtag="PatientSex"	enum="'M '=Male,'F '=Female"	# Patient sex
block="STDHDR"	offset="0x60"	intype="PACE_string"	inlength="24"	name="SMAKER"	dicomtype="LO"	dicomtag="Manufacturer"			# Manufacturers name
block="STDHDR"	offset="0x78"	intype="PACE_string"	inlength="14"	name="SMODELNM"	dicomtype="LO"	dicomtag="ManufacturerModelName"	# Model name
block="STDHDR"	offset="0x90"	intype="PACE_string"	inlength="32"	name="SHOSP"		dicomtype="LO"	dicomtag="InstitutionName"		# Hospital name
block="STDHDR"	offset="0xb0"	intype="PACE_byte"	inlength="1"	keyword="SSYSVNO"	dicomtype="?"	dicomtag="?"	# System version
block="STDHDR"	offset="0xb1"	intype="PACE_byte"	inlength="1"	keyword="SSYSRNO"	dicomtype="?"	dicomtag="?"	# System revision
block="STDHDR"	offset="0xb2"	intype="PACE_byte"	inlength="1"	keyword="SDATVNO"	dicomtype="?"	dicomtag="?"	# Database version
block="STDHDR"	offset="0xb3"	intype="PACE_byte"	inlength="1"	keyword="SDATRNO"	dicomtype="?"	dicomtag="?"	# Database revision
block="STDHDR"	offset="0xb4"	intype="PACE_u_int16"	inlength="1"	name="SATFRB"	dicomtype="?"	dicomtag="?"	bitmap="0:none,SATNOWT;1:none,SATDUMP;2:none,SATOLD;3:none,SATOFF;4:none,SATNODL"	# Study attributes
block="STDHDR"	offset="0xbc"	intype="PACE_string"	inlength="4"	name="SENHANCE"	dicomtype="?"	dicomtag="?"	enum="'NO C'=No Contrast,'+C  '=With Contrast"	# Contrast media
block="STDHDR"	offset="0xce"	intype="PACE_int_date"	inlength="1"	name="SDATEOD"	dicomtype="?"	dicomtag="?"	# Optical Disk: Date for identification check of image number
block="STDHDR"	offset="0xd2"	intype="PACE_int_time"	inlength="1"	name="STIMEOD"	dicomtype="?"	dicomtag="?"	# Optical Disk: Time for identification check of image number
block="STDHDR"	offset="0xd6"	intype="PACE_u_int32"	inlength="1"	name="SSELFOD"	dicomtype="?"	dicomtag="?"	# Optical Disk: Number of start sectors in study information file
block="STDHDR"	offset="0xda"	intype="PACE_u_int16"	inlength="1"	name="SNOBLK"	dicomtype="?"	dicomtag="?"	# Number of image information blocks
block="STDHDR"	offset="0xdc"	intype="PACE_string"	inlength="4"	name="SIMINFFL_Vol"	dicomtype="?"	dicomtag="?"	# File name of image information - volume name
block="STDHDR"	offset="0xe0"	intype="PACE_u_int16"	inlength="1"	name="SIMINFFL_User"	dicomtype="?"	dicomtag="?"	# File name of image information - user number
block="STDHDR"	offset="0xe2"	intype="PACE_string"	inlength="8"	name="SIMINFFL_Cat"	dicomtype="?"	dicomtag="?"	# File name of image information - catalog name
block="STDHDR"	offset="0xea"	intype="PACE_string"	inlength="8"	name="SIMINFFL_File"	dicomtype="?"	dicomtag="?"	# File name of image information - file name
block="STDHDR"	offset="0xf2"	intype="PACE_string"	inlength="2"	name="SIMINFFL_Ext"	dicomtype="?"	dicomtag="?"	# File name of image information - extension
block="STDHDR"	offset="0xf4"	intype="PACE_u_int32"	inlength="1"	name="SPOINTIM"	dicomtype="?"	dicomtag="?"	# Relative sector number of image information
block="STDHDR"	offset="0xf8"	intype="PACE_u_int16"	inlength="1"	name="SNOSER"	dicomtype="IS"	dicomtag="SeriesInStudy"	# Number of series in study
block="STDHDR"	offset="0xfa"	intype="PACE_u_int16"	inlength="1"	name="SNOACQ"	dicomtype="IS"	dicomtag="AcquisitionsInStudy"	# Number of acquisitions in study
block="STDHDR"	offset="0xfc"	intype="PACE_u_int16"	inlength="1"	name="SNOIMG"	dicomtype="IS"	dicomtag="ImagesInAcquisition"	# Number of images in study
block="STDHDR"	offset="0xfe"	intype="PACE_u_int16"	inlength="1"	name="SNEXTOD"	dicomtype="?"	dicomtag="?"	# Optical Disk: Start sector to write next image
block="STDHDR"	offset="0x100"	intype="PACE_string"	inlength="50"	keyword="SDESC1"	dicomtype="?"	dicomtag="?"	# Study description - line 1
block="STDHDR"	offset="0x132"	intype="PACE_string"	inlength="50"	keyword="SDESC2"	dicomtype="?"	dicomtag="?"	# Study description - line 2
block="STDHDR"	offset="0x164"	intype="PACE_string"	inlength="50"	keyword="SDESC3"	dicomtype="?"	dicomtag="?"	# Study description - line 3
block="STDHDR"	offset="0x196"	intype="PACE_string"	inlength="50"	keyword="SDESC4"	dicomtype="?"	dicomtag="?"	# Study description - line 4
block="STDHDR"	offset="0x1c8"	intype="PACE_string"	inlength="50"	keyword="SDESC5"	dicomtype="?"	dicomtag="?"	# Study description - line 5

block="IMGHDR"	offset="0x0"	intype="PACE_string"	inlength="4"	name="IMAGE"		dicomtype="?"	dicomtag="?"	# Eyecatcher !IMG
block="IMGHDR"	offset="0x4"	intype="PACE_u_int16"	inlength="1"	keyword="IBLOCK"	dicomtype="?"	dicomtag="?"	# Number of blocks of image information
block="IMGHDR"	offset="0x6"	intype="PACE_byte"	inlength="1"	keyword="IMODELNO_Mod"	dicomtype="?"	dicomtag="?"	enum="1=CT,2=MR,3=Reserved"	# Model Number of Device - Modality
block="IMGHDR"	offset="0x7"	intype="PACE_byte"	inlength="1"	name="IMODELNO_Mac"	dicomtype="?"	dicomtag="?"	enum="1=CT8600,2=CT8800,3=CT9000,4=EMI,5=ImageMax,6=Resona(MR MAX),7=Quantex(Pace),8=Reserved"	# Model Number of Device - Machine
block="IMGHDR"	offset="0x8"	intype="PACE_u_int16"	inlength="1"	name="IMACHINE"	dicomtype="?"	dicomtag="?"	# Manufacturers Serial Number
block="IMGHDR"	offset="0xa"	intype="PACE_string"	inlength="5"	keyword="ISTUDYNO"	dicomtype="?"	dicomtag="?"	# Study Number
block="IMGHDR"	offset="0x10"	intype="PACE_string"	inlength="2"	keyword="ISERNO"	dicomtype="IS"	dicomtag="SeriesNumber"	# Series Number
block="IMGHDR"	offset="0x12"	intype="PACE_string"	inlength="2"	name="IACQNO"	dicomtype="IS"	dicomtag="AcquisitionNumber"	# Acquisition Number
block="IMGHDR"	offset="0x14"	intype="PACE_string"	inlength="2"	keyword="IIMGNO"	dicomtype="IS"	dicomtag="ImageNumber"	# Image Number
block="IMGHDR"	offset="0x1c"	intype="PACE_byte"	inlength="1"	name="ISYSVNO"	dicomtype="?"	dicomtag="?"	# System version
block="IMGHDR"	offset="0x1d"	intype="PACE_byte"	inlength="1"	name="ISYSRNO"	dicomtype="?"	dicomtag="?"	# System revision
block="IMGHDR"	offset="0x1e"	intype="PACE_byte"	inlength="1"	name="IDATVNO"	dicomtype="?"	dicomtag="?"	# Database version
block="IMGHDR"	offset="0x1f"	intype="PACE_byte"	inlength="1"	name="IDATRNO"	dicomtype="?"	dicomtag="?"	# Database revision
block="IMGHDR"	offset="0x20"	intype="PACE_string_date"	inlength="1"	keyword="IDATE"		dicomtype="?"	dicomtag="?"	# Image Date yyyy/mm/dd
block="IMGHDR"	offset="0x2a"	intype="PACE_string_time"	inlength="1"	keyword="ITIME"		dicomtype="?"	dicomtag="?"	# Image Time hh/mm/ss.xxx
block="IMGHDR"	offset="0x40"	intype="PACE_string"	inlength="2"	keyword="IHFFIRST"	dicomtype="?"	dicomtag="?"	enum="'H '=Head First,'F '=Feet First"	#  Patient position
block="IMGHDR"	offset="0x42"	intype="PACE_string"	inlength="2"	keyword="IPATORI"	dicomtype="?"	dicomtag="?"	enum="'SP'=Supine,'PR'=Prone,'LL'=Left Lateral Decubitus,'RL'=Right Lateral Decubitus,'OT'=Other"	# Patient orientation
block="IMGHDR"	offset="0x44"	intype="PACE_string"	inlength="6"	name="IANATOMY"	dicomtype="CS"	dicomtag="BodyPartExamined"	# Anatomic location
block="IMGHDR"	offset="0x4a"	intype="PACE_string"	inlength="2"	name="IAREFHF"	dicomtype="LO"	dicomtag="PositionReferenceIndicator"	# Anatomic reference HF
block="IMGHDR"	offset="0x4c"	intype="PACE_string"	inlength="2"	name="IAREFAP"	dicomtype="?"	dicomtag="?"	# Anatomic reference AP
block="IMGHDR"	offset="0x4e"	intype="PACE_string"	inlength="2"	name="IAREFLR"	dicomtype="?"	dicomtag="?"	# Anatomic reference LR
block="IMGHDR"	offset="0x50"	intype="PACE_string"	inlength="4"	keyword="IPLANE"	dicomtype="?"	dicomtag="?"	enum="'AX  '=Axial,'SAG '=Sagittal,'COR '=Coronal"	# Datum plane
block="IMGHDR"	offset="0x54"	intype="PACE_float32"	inlength="1"	keyword="ISLPOSHF"	dicomtype="?"	dicomtag="?"	# Slice position by body coords HF mm
block="IMGHDR"	offset="0x58"	intype="PACE_float32"	inlength="1"	keyword="ISLPOSAP"	dicomtype="?"	dicomtag="?"	# Slice position by body coords AP mm
block="IMGHDR"	offset="0x5c"	intype="PACE_float32"	inlength="1"	keyword="ISLPOSLR"	dicomtype="?"	dicomtag="?"	# Slice position by body coords LR mm
block="IMGHDR"	offset="0x60"	intype="PACE_float32"	inlength="1"	name="ISCENTX"	dicomtype="?"	dicomtag="?"	# Scan center by machine coords X mm
block="IMGHDR"	offset="0x64"	intype="PACE_float32"	inlength="1"	name="ISCENTY"	dicomtype="?"	dicomtag="?"	# Scan center by machine coords Y mm
block="IMGHDR"	offset="0x68"	intype="PACE_float32"	inlength="1"	name="ISCENTZ"	dicomtype="?"	dicomtag="?"	# Scan center by machine coords Z mm
block="IMGHDR"	offset="0x6c"	intype="PACE_string"	inlength="4"	keyword="ISFOV"		dicomtype="?"	dicomtag="?"	# Scan fov cm
block="IMGHDR"	offset="0x70"	intype="PACE_string"	inlength="4"	name="ISTHICK"	dicomtype="DS"	dicomtag="SliceThickness"	# Scan thickness mm
block="IMGHDR"	offset="0x7c"	intype="PACE_float32"	inlength="1"	name="ITBLPOS"	dicomtype="?"	dicomtag="?"	# Table position measured from gantry (machine coords)
block="IMGHDR"	offset="0x80"	intype="PACE_string"	inlength="6"	name="ISCANSEQ"	dicomtype="?"	dicomtag="?"	# Scan sequence
block="IMGHDR"	offset="0x90"	intype="PACE_string"	inlength="5"	name="ISCANTM"	dicomtype="?"	dicomtag="?"	# Scan time CT xxx.x seconds MR mm:ss
block="IMGHDR"	offset="0x96"	intype="PACE_string"	inlength="4"	keyword="IMTYPE"	dicomtype="?"	dicomtag="?"	# Image type
block="IMGHDR"	offset="0xa0"	intype="PACE_string"	inlength="4"	keyword="IENHANCE"	dicomtype="?"	dicomtag="?"	enum="'NO C'=No Contrast,'+C  '=With Contrast"	# Contrast media
block="IMGHDR"	offset="0xa4"	intype="PACE_string_time"	inlength="1"	keyword="ICETIME"	dicomtype="?"	dicomtag="?"	# Start Injection Time hh/mm/ss.xxx
block="IMGHDR"	offset="0xb0"	intype="PACE_string"	inlength="4"	keyword="IGENPOW"	dicomtype="?"	dicomtag="?"	# Generator power CT xx.x kW MR xxxx W
block="IMGHDR"	offset="0xb4"	intype="PACE_string"	inlength="4"	name="ITRIGGER"	dicomtype="?"	dicomtag="?"	# Trigger time: start of R wave to first data mS
block="IMGHDR"	offset="0xbc"	intype="PACE_u_int16"	inlength="1"	name="IOVERCNT"	dicomtype="?"	dicomtag="?"	# Over range count
block="IMGHDR"	offset="0xbe"	intype="PACE_u_int16"	inlength="1"	name="IZEROCNT"	dicomtype="?"	dicomtag="?"	# Zero detect count

block="CTHDR"	offset="0xc0"	intype="PACE_float32"	inlength="1"	keyword="ITBLHGT"	dicomtype="?"	dicomtag="?"	# Table height machine coords mm
block="CTHDR"	offset="0xc4"	intype="PACE_string"	inlength="3"	name="IAZIMUTH"	dicomtype="?"	dicomtag="?"	# Azimuth of scout degrees
block="CTHDR"	offset="0xc8"	intype="PACE_string"	inlength="5"	name="IGTILT"	dicomtype="DS"	dicomtag="GantryDetectorTilt"	# Gantry tilt machine coords degrees
block="CTHDR"	offset="0xd0"	intype="PACE_float32"	inlength="1"	name="ISCSTAPS"	dicomtype="?"	dicomtag="?"	# Initial location at scout body coords mm
block="CTHDR"	offset="0xd4"	intype="PACE_float32"	inlength="1"	name="ISCENDPS"	dicomtype="?"	dicomtag="?"	# Final location at scout body coords mm
block="CTHDR"	offset="0xd8"	intype="PACE_string"	inlength="5"	keyword="IGTILTB"	dicomtype="?"	dicomtag="?"	# Gantry tilt body coords degrees
block="CTHDR"	offset="0xe0"	intype="PACE_string"	inlength="5"	name="IEXPTIME"	dicomtype="IS"	dicomtag="ExposureTime"	# Exposure time ms
block="CTHDR"	offset="0xe6"	intype="PACE_string"	inlength="3"	name="IEXPRATE"	dicomtype="IS"	dicomtag="XrayTubeCurrent"	# Tube current mA
block="CTHDR"	offset="0xea"	intype="PACE_string"	inlength="5"	name="IEXPOSE"	dicomtype="IS"	dicomtag="Exposure"	# Exposure mAS
block="CTHDR"	offset="0xf0"	intype="PACE_string"	inlength="3"	name="IKVP"		dicomtype="DS"	dicomtag="KVP"	# Generator output
block="CTHDR"	offset="0xf4"	intype="PACE_string"	inlength="2"	name="IROTDIR"	dicomtype="CS"	dicomtag="RotationDirection"	enum="'CW'=Clockwise,'CC'=CounterClockwise"	# Direction of rotation
block="CTHDR"	offset="0xf6"	intype="PACE_string"	inlength="1"	name="IFILTER"	dicomtype="SH"	dicomtag="FilterType"	# Xray filter
block="CTHDR"	offset="0xf8"	intype="PACE_int_date"	inlength="1"	name="IDATEC"	dicomtype="?"	dicomtag="?"	# Middle date of scan
block="CTHDR"	offset="0xfc"	intype="PACE_int_time"	inlength="1"	name="ITIMEC"	dicomtype="?"	dicomtag="?"	# Middle time of scan

block="MRHDR"	offset="0xc0"	intype="PACE_string"	inlength="5"	keyword="IMRTILT"	dicomtype="?"	dicomtag="?"	# Tilt ordered by user Axis+/-Angle [xx+/-xx]
block="MRHDR"	offset="0x100"	intype="PACE_string"	inlength="2"	name="IECHO"		dicomtype="IS"	dicomtag="EchoNumber"	# Echo number
block="MRHDR"	offset="0x102"	intype="PACE_string"	inlength="2"	name="INOOFECH"	dicomtype="?"	dicomtag="?"	# Number of echoes
block="MRHDR"	offset="0x104"	intype="PACE_string"	inlength="2"	name="ISLICE"	dicomtype="?"	dicomtag="?"	# Slice number
block="MRHDR"	offset="0x106"	intype="PACE_string"	inlength="2"	name="INOOFSL"	dicomtype="?"	dicomtag="?"	# Number of slices
block="MRHDR"	offset="0x108"	intype="PACE_string"	inlength="2"	name="INEX"		dicomtype="DS"	dicomtag="NumberOfAverages"	# Number of excitations
block="MRHDR"	offset="0x10a"	intype="PACE_string"	inlength="5"	name="ITR"		dicomtype="DS"	dicomtag="RepetitionTime"	# Repetition time ms
block="MRHDR"	offset="0x110"	intype="PACE_string"	inlength="5"	name="ITI"		dicomtype="DS"	dicomtag="InversionTime"	# Inversion time ms
block="MRHDR"	offset="0x115"	intype="PACE_string"	inlength="5"	name="ITE"		dicomtype="DS"	dicomtag="EchoTime"	# Echo time ms
block="MRHDR"	offset="0x11c"	intype="PACE_string"	inlength="4"	name="IMATRIXH"	dicomtype="?"	dicomtag="?"	# Matrix horizontal [xxxH]
block="MRHDR"	offset="0x120"	intype="PACE_string"	inlength="4"	name="IMATRIXV"	dicomtype="?"	dicomtag="?"	# Matrix vertical [xxxV]
block="MRHDR"	offset="0x124"	intype="PACE_string"	inlength="4"	name="IMATRIXD"	dicomtype="?"	dicomtag="?"	# Matrix depth [xxxD]
block="MRHDR"	offset="0x128"	intype="PACE_string"	inlength="1"	name="IRCVCOIL_Type"	dicomtype="?"	dicomtag="?"	enum="'H'=Head,'B'=Body,'S'=Surface"	# Receiving coil type
block="MRHDR"	offset="0x129"	intype="PACE_string"	inlength="2"	name="IRCVCOIL_Num"	dicomtype="?"	dicomtag="?"	# Receiving coil number
block="MRHDR"	offset="0x12c"	intype="PACE_string"	inlength="1"	name="ITRSCOIL_Type"	dicomtype="?"	dicomtag="?"	enum="'H'=Head,'B'=Body,'S'=Surface"	# Transmitting coil type
block="MRHDR"	offset="0x12d"	intype="PACE_string"	inlength="2"	name="ITRSCOIL_Num"	dicomtype="?"	dicomtag="?"	# Transmitting coil number
block="MRHDR"	offset="0x130"	intype="PACE_string"	inlength="4"	name="IMAGNET"	dicomtype="DS"	dicomtag="MagneticFieldStrength"	# Magnetic flux density (T)

block="IMGHDR"	offset="0x140"	intype="PACE_int_date"	inlength="1"	name="ICALDATE"	dicomtype="DA"	dicomtag="DateOfLastCalibration"	# Calibration date
block="IMGHDR"	offset="0x144"	intype="PACE_int_time"	inlength="1"	name="ICALTIME"	dicomtype="TM"	dicomtag="TimeOfLastCalibration"	# Calibration time
block="IMGHDR"	offset="0x148"	intype="PACE_string"	inlength="6"	name="ICALFOV"	dicomtype="?"	dicomtag="?"	# Calibration FOV name
block="IMGHDR"	offset="0x150"	intype="PACE_string"	inlength="3"	name="IIMDIR_NX"	dicomtype="?"	dicomtag="?"	# Direction of patient on -X axis [HFAPLR]
block="IMGHDR"	offset="0x153"	intype="PACE_string"	inlength="3"	name="IIMDIR_PY"	dicomtype="?"	dicomtag="?"	# Direction of patient on +Y axis [HFAPLR]
block="IMGHDR"	offset="0x156"	intype="PACE_string"	inlength="3"	name="IIMDIR_PX"	dicomtype="?"	dicomtag="?"	# Direction of patient on +X axis [HFAPLR]
block="IMGHDR"	offset="0x159"	intype="PACE_string"	inlength="3"	name="IIMDIR_NY"	dicomtype="?"	dicomtag="?"	# Direction of patient on -Y axis [HFAPLR]
block="IMGHDR"	offset="0x15c"	intype="PACE_float32"	inlength="1"	name="IIMPOSX"	dicomtype="?"	dicomtag="?"	# Image center X machine coords mm
block="IMGHDR"	offset="0x160"	intype="PACE_float32"	inlength="1"	name="IIMPOSY"	dicomtype="?"	dicomtag="?"	# Image center Y machine coords mm
block="IMGHDR"	offset="0x164"	intype="PACE_float32"	inlength="1"	name="IIMPOSZ"	dicomtype="?"	dicomtag="?"	# Image center Z machine coords mm
block="IMGHDR"	offset="0x168"	intype="PACE_float32"	inlength="1"	name="IIMORIHX"	dicomtype="?"	dicomtag="?"	# Direction cosine of display horizontal vs. X machine coords
block="IMGHDR"	offset="0x16c"	intype="PACE_float32"	inlength="1"	name="IIMORIHY"	dicomtype="?"	dicomtag="?"	# Direction cosine of display horizontal vs. Y machine coords
block="IMGHDR"	offset="0x170"	intype="PACE_float32"	inlength="1"	name="IIMORIHZ"	dicomtype="?"	dicomtag="?"	# Direction cosine of display horizontal vs. Z machine coords
block="IMGHDR"	offset="0x174"	intype="PACE_float32"	inlength="1"	name="IIMORIVX"	dicomtype="?"	dicomtag="?"	# Direction cosine of display vertical vs. X machine coords
block="IMGHDR"	offset="0x178"	intype="PACE_float32"	inlength="1"	name="IIMORIVY"	dicomtype="?"	dicomtag="?"	# Direction cosine of display vertical vs. Y machine coords
block="IMGHDR"	offset="0x17c"	intype="PACE_float32"	inlength="1"	name="IIMORIVZ"	dicomtype="?"	dicomtag="?"	# Direction cosine of display vertical vs. Z machine coords
block="IMGHDR"	offset="0x180"	intype="PACE_string"	inlength="1"	keyword="ITCTYPE"	dicomtype="?"	dicomtag="?"	enum="'P'=Prospective,'R'=Retrospective"	# Target type
block="IMGHDR"	offset="0x182"	intype="PACE_string"	inlength="6"	name="IRMODE"	dicomtype="SH"	dicomtag="ConvolutionKernel"	enum="'STND  '=Standard,'BONY-X'=Bony,'SOFT  '=Soft Tissue"	# Reconstruction mode
block="IMGHDR"	offset="0x188"	intype="PACE_float32"	inlength="1"	keyword="IRCENTX"	dicomtype="?"	dicomtag="?"	# Recon center X mm (CT: gantry coords, MR: display coords)
block="IMGHDR"	offset="0x18c"	intype="PACE_float32"	inlength="1"	keyword="IRCENTY"	dicomtype="?"	dicomtag="?"	# Recon center Y mm (CT: gantry coords, MR: display coords)
block="IMGHDR"	offset="0x190"	intype="PACE_string"	inlength="4"	keyword="IRFOV"		dicomtype="?"	dicomtag="?"	# Recon FOV cm [xx.x]
block="IMGHDR"	offset="0x1a0"	intype="PACE_u_int16"	inlength="1"	keyword="IXAXIS"	dicomtype="US"	dicomtag="Columns"	# Pixels in X-axis
block="IMGHDR"	offset="0x1a2"	intype="PACE_u_int16"	inlength="1"	keyword="IYAXIS"	dicomtype="US"	dicomtag="Rows"		# Pixels in Y-axis
block="IMGHDR"	offset="0x1a4"	intype="PACE_float32"	inlength="1"	keyword="IPIXSIZE"	dicomtype="?"	dicomtag="?"	# Pixel size mm
block="IMGHDR"	offset="0x1a8"	intype="PACE_int16"	inlength="1"	name="IWINDOWC"	dicomtype="DS"	dicomtag="WindowCenter"	# Window center
block="IMGHDR"	offset="0x1aa"	intype="PACE_int16"	inlength="1"	name="IWINDOWL"	dicomtype="DS"	dicomtag="WindowWidth"	# Window level
block="IMGHDR"	offset="0x1ac"	intype="PACE_u_int16"	inlength="1"	name="IATTRB"	dicomtype="?"	dicomtag="?"	bitmap="0:none,IATDUMP - Dumping is over;1:none,IATOLD - Old image reloading;2:none,IATOFFR - Off center recon;3:IATWLED - Window level enable,IATWLED - Window level disable;4:none,IATNOWT - Image exists on OD;5:ATPTYP - DPCM,ATPTYP - ORIGINAL;15:IATHZ - 50Hz,IATHZ - 60Hz"	# Image attributes
block="IMGHDR"	offset="0x1b0"	intype="PACE_float32"	inlength="1"	keyword="IMAGCX"	dicomtype="?"	dicomtag="?"	# Mag center X mm display coords
block="IMGHDR"	offset="0x1b4"	intype="PACE_float32"	inlength="1"	keyword="IMAGCY"	dicomtype="?"	dicomtag="?"	# Mag center Y mm display coords
block="IMGHDR"	offset="0x1b8"	intype="PACE_float32"	inlength="1"	keyword="IMAGFACT"	dicomtype="?"	dicomtag="?"	# Mag factor
block="IMGHDR"	offset="0x1bc"	intype="PACE_u_int16"	inlength="1"	name="ITRANS"	dicomtype="?"	dicomtag="?"	bitmap="0:none,ITRRVSRL - R/L reverse;1:none,ITRRVSTB - T/B reverse;2:none,ITRROTCW - Clockwise 90 rotate;3:none,ITRROTCCW - CounterClockwise 90 rotate"	# Transient information - orientation of display image
block="IMGHDR"	offset="0x1c0"	intype="PACE_string"	inlength="2"	name="IREFIMG1_Ser"	dicomtype="?"	dicomtag="?"	# ID of reference image 1 - series
block="IMGHDR"	offset="0x1c3"	intype="PACE_string"	inlength="2"	name="IREFIMG1_Acq"	dicomtype="?"	dicomtag="?"	# ID of reference image 1 - acquisition
block="IMGHDR"	offset="0x1c6"	intype="PACE_string"	inlength="2"	name="IREFIMG1_Img"	dicomtype="?"	dicomtag="?"	# ID of reference image 1 - image
block="IMGHDR"	offset="0x1c8"	intype="PACE_string"	inlength="2"	name="IREFIMG2_Ser"	dicomtype="?"	dicomtag="?"	# ID of reference image 2 - series
block="IMGHDR"	offset="0x1cb"	intype="PACE_string"	inlength="2"	name="IREFIMG2_Acq"	dicomtype="?"	dicomtag="?"	# ID of reference image 2 - acquisition
block="IMGHDR"	offset="0x1ce"	intype="PACE_string"	inlength="2"	name="IREFIMG2_Img"	dicomtype="?"	dicomtag="?"	# ID of reference image 2 - image
block="IMGHDR"	offset="0x1d0"	intype="PACE_string"	inlength="2"	name="IREFIMG3_Ser"	dicomtype="?"	dicomtag="?"	# ID of reference image 3 - series
block="IMGHDR"	offset="0x1d3"	intype="PACE_string"	inlength="2"	name="IREFIMG3_Acq"	dicomtype="?"	dicomtag="?"	# ID of reference image 3 - acquisition
block="IMGHDR"	offset="0x1d6"	intype="PACE_string"	inlength="2"	name="IREFIMG3_Img"	dicomtype="?"	dicomtag="?"	# ID of reference image 3 - image
block="IMGHDR"	offset="0x1d8"	intype="PACE_byte"	inlength="1"	name="IMASKIMG_Modality"	dicomtype="?"	dicomtag="?"	enum="1=CT,2=MR,3=Reserved"	# ID of mask image - modality
block="IMGHDR"	offset="0x1d9"	intype="PACE_byte"	inlength="1"	name="IMASKIMG_Model"	dicomtype="?"	dicomtag="?"	enum="1=CT8600,2=CT8800,3=CT9000,4=EMI,5=ImageMax,6=Resona(MR MAX),7=Quantex(Pace),8=Reserved"	# ID of mask image - model number
block="IMGHDR"	offset="0x1da"	intype="PACE_u_int16"	inlength="1"	name="IMASKIMG_Serial"	dicomtype="?"	dicomtag="?"	# ID of mask image - serial number
block="IMGHDR"	offset="0x1dc"	intype="PACE_string"	inlength="3"	name="IMASKIMG_Std"		dicomtype="?"	dicomtag="?"	# ID of mask image - study
block="IMGHDR"	offset="0x1df"	intype="PACE_byte"	inlength="1"	name="IMASKIMG_Ser"		dicomtype="?"	dicomtag="?"	# ID of mask image - series
block="IMGHDR"	offset="0x1e0"	intype="PACE_byte"	inlength="1"	name="IMASKIMG_Acq"		dicomtype="?"	dicomtag="?"	# ID of mask image - acquisition
block="IMGHDR"	offset="0x1e1"	intype="PACE_byte"	inlength="1"	name="IMASKIMG_Img"		dicomtype="?"	dicomtag="?"	# ID of mask image - image
block="IMGHDR"	offset="0x212"	intype="PACE_u_int32"	inlength="1"	name="ISELFOD"	dicomtype="?"	dicomtag="?"	# OD: Start sector of image information
block="IMGHDR"	offset="0x216"	intype="PACE_u_int16"	inlength="1"	name="IBITPLNH"	dicomtype="?"	dicomtag="?"	# Screen save bitplane pixels horizontal
block="IMGHDR"	offset="0x218"	intype="PACE_u_int16"	inlength="1"	name="IBITPLNV"	dicomtype="?"	dicomtag="?"	# Screen save bitplane pixels vertical
block="IMGHDR"	offset="0x21a"	intype="PACE_u_int32"	inlength="1"	name="IPACKIM"	dicomtype="?"	dicomtag="?"	# Bytes of packed image data
block="IMGHDR"	offset="0x220"	intype="PACE_u_int32"	inlength="1"	name="IPACKSZ"	dicomtype="?"	dicomtag="?"	# Bytes of packed image file
block="IMGHDR"	offset="0x224"	intype="PACE_string"	inlength="4"	name="IIMFILE_Vol"	dicomtype="?"	dicomtag="?"	# File name of image information - volume name
block="IMGHDR"	offset="0x228"	intype="PACE_u_int16"	inlength="1"	name="IIMFILE_User"	dicomtype="?"	dicomtag="?"	# File name of image information - user number
block="IMGHDR"	offset="0x22a"	intype="PACE_string"	inlength="8"	name="IIMFILE_Cat"	dicomtype="?"	dicomtag="?"	# File name of image information - catalog name
block="IMGHDR"	offset="0x232"	intype="PACE_string"	inlength="8"	name="IIMFILE_File"	dicomtype="?"	dicomtag="?"	# File name of image information - file name
block="IMGHDR"	offset="0x23a"	intype="PACE_string"	inlength="2"	name="IIMFILE_Ext"	dicomtype="?"	dicomtag="?"	# File name of image information - extension
block="IMGHDR"	offset="0x23c"	intype="PACE_u_int32"	inlength="1"	name="IPOINTIM"	dicomtype="?"	dicomtag="?"	# Disk: image pointer number; OD: relative sector number of image data
block="IMGHDR"	offset="0x240"	intype="PACE_string"	inlength="16"	keyword="ISRDESC1"	dicomtype="?"	dicomtag="?"	# Series description - part 1
block="IMGHDR"	offset="0x250"	intype="PACE_string"	inlength="14"	keyword="ISRDESC2"	dicomtype="?"	dicomtag="?"	# Series description - part 2
block="IMGHDR"	offset="0x25e"	intype="PACE_string"	inlength="12"	keyword="ISRDESC3"	dicomtype="?"	dicomtag="?"	# Series description - part 3
block="IMGHDR"	offset="0x26a"	intype="PACE_string"	inlength="10"	keyword="IIMDESC1"	dicomtype="?"	dicomtag="?"	# Image description - part 1
block="IMGHDR"	offset="0x274"	intype="PACE_string"	inlength="8"	keyword="IIMDESC2"	dicomtype="?"	dicomtag="?"	# Image description - part 2
block="IMGHDR"	offset="0x27c"	intype="PACE_string"	inlength="7"	keyword="IIMDESC3"	dicomtype="?"	dicomtag="?"	# Image description - part 3
block="IMGHDR"	offset="0x284"	intype="PACE_string"	inlength="17"	keyword="IEXDESC1"	dicomtype="?"	dicomtag="?"	# Extension description - line 1
block="IMGHDR"	offset="0x295"	intype="PACE_string"	inlength="17"	keyword="IEXDESC2"	dicomtype="?"	dicomtag="?"	# Extension description - line 2
block="IMGHDR"	offset="0x2a6"	intype="PACE_string"	inlength="17"	keyword="IEXDESC3"	dicomtype="?"	dicomtag="?"	# Extension description - line 3
block="IMGHDR"	offset="0x2b7"	intype="PACE_string"	inlength="17"	keyword="IEXDESC4"	dicomtype="?"	dicomtag="?"	# Extension description - line 4
block="IMGHDR"	offset="0x2c8"	intype="PACE_string"	inlength="17"	keyword="IEXDESC5"	dicomtype="?"	dicomtag="?"	# Extension description - line 5
block="IMGHDR"	offset="0x2d9"	intype="PACE_string"	inlength="17"	keyword="IEXDESC6"	dicomtype="?"	dicomtag="?"	# Extension description - line 6
block="IMGHDR"	offset="0x2ea"	intype="PACE_string"	inlength="17"	keyword="IEXDESC7"	dicomtype="?"	dicomtag="?"	# Extension description - line 7
block="IMGHDR"	offset="0x2fb"	intype="PACE_string"	inlength="17"	keyword="IEXDESC8"	dicomtype="?"	dicomtag="?"	# Extension description - line 8
block="IMGHDR"	offset="0x30c"	intype="PACE_string"	inlength="17"	keyword="IEXDESC9"	dicomtype="?"	dicomtag="?"	# Extension description - line 9
block="IMGHDR"	offset="0x31d"	intype="PACE_string"	inlength="17"	keyword="IEXDESC10"	dicomtype="?"	dicomtag="?"	# Extension description - line 10
block="IMGHDR"	offset="0x32e"	intype="PACE_string"	inlength="17"	keyword="IEXDESC11"	dicomtype="?"	dicomtag="?"	# Extension description - line 11
block="IMGHDR"	offset="0x33f"	intype="PACE_string"	inlength="17"	keyword="IEXDESC12"	dicomtype="?"	dicomtag="?"	# Extension description - line 12
block="IMGHDR"	offset="0x350"	intype="PACE_string"	inlength="17"	keyword="IEXDESC13"	dicomtype="?"	dicomtag="?"	# Extension description - line 13
block="IMGHDR"	offset="0x361"	intype="PACE_string"	inlength="17"	keyword="IEXDESC14"	dicomtype="?"	dicomtag="?"	# Extension description - line 14
block="IMGHDR"	offset="0x372"	intype="PACE_string"	inlength="17"	keyword="IEXDESC15"	dicomtype="?"	dicomtag="?"	# Extension description - line 15
block="IMGHDR"	offset="0x383"	intype="PACE_string"	inlength="17"	keyword="IEXDESC16"	dicomtype="?"	dicomtag="?"	# Extension description - line 16
block="IMGHDR"	offset="0x394"	intype="PACE_string"	inlength="17"	keyword="IEXDESC17"	dicomtype="?"	dicomtag="?"	# Extension description - line 17
block="IMGHDR"	offset="0x3a5"	intype="PACE_string"	inlength="17"	keyword="IEXDESC18"	dicomtype="?"	dicomtag="?"	# Extension description - line 18
block="IMGHDR"	offset="0x3b6"	intype="PACE_string"	inlength="17"	keyword="IEXDESC19"	dicomtype="?"	dicomtag="?"	# Extension description - line 19
block="IMGHDR"	offset="0x3c7"	intype="PACE_string"	inlength="17"	keyword="IEXDESC20"	dicomtype="?"	dicomtag="?"	# Extension description - line 20
