static char *CopyrightIdentifier(void) { return "@(#)sgntspl.cc 0.12 95/09/18 Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved."; }

#ifdef __GNUG__
#include <builtin.h>
#endif
#include <math.h>
#include <string.h>

#include <strstream.h>
#include <iomanip.h>

#include "tlist.h"
#include "tfstream.h"
#include "tuidgen.h"
#include "tabstc.h"

#include "dgtypes.h"

#include "sgntdec.h"

/* ************************ Local Routines ************************ */

void
handle_manual_attributes_part1(
	DC3ListofAttributes& list,	// list to add new attributes to
	const char *stamp		// substitute date/time stamp for UIDs
);

void
handle_manual_attributes_part2(
	DC3ListofAttributes& list	// list to add new attributes to
);

void
read_header(
	ifstream& instream,		// where to read from
	DC3ListofAttributes& list,	// list to add new attributes to
	const char *stamp,		// substitute date/time stamp for UIDs
	Uint16& resolution,		// Returned - image resolution
	Uint16& datablock		// Returned - block offset to image
	)
{
#include "sgnptrs.h"

	// Use the automagically generated file of code
	// - to fetch the Signa tags that define the block positions ...
	// - to transform Signa atributes into DICOM ones ...
	// - to fetch the Signa tags that we need to work manually from ...

#include "sgntcal.h"

	// Now do the manual manipulation of tags that don't map
	// directly ...

	handle_manual_attributes_part1(list,stamp);
	handle_manual_attributes_part2(list);

	// Return values we need to read the image ...

	resolution=SIGNA_ImageMatrix.toUS();
	datablock=SIGNA_IMAGEDATA_ptr;
}

