/* somman1.h 0.12 95/09/18 Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved. */

	{
		// AccessionNumber = ""

		DC3Tag tag (DC3AccessionNumber_GROUP,
			    DC3AccessionNumber_ELEMENT);
		char *str = "";
		DC3ShortString *attribute =
			new DC3ShortString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// StudyID = "1"

		DC3Tag tag (DC3StudyID_GROUP,
			    DC3StudyID_ELEMENT);
		char *str = "1";
		DC3ShortString *attribute =
			new DC3ShortString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// SeriesNumber = "1"

		DC3Tag tag (DC3SeriesNumber_GROUP,
			    DC3SeriesNumber_ELEMENT);
		char *str = "1";
		DC3IntegerString *attribute =
			new DC3IntegerString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// PatientSex = ""

		DC3Tag tag (DC3PatientSex_GROUP,
			    DC3PatientSex_ELEMENT);
		char *str = "";
		DC3CodeString *attribute =
			new DC3CodeString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// PatientBirthDate = ""

		DC3Tag tag (DC3PatientBirthDate_GROUP,
			    DC3PatientBirthDate_ELEMENT);
		char *str = "";
		DC3DateString *attribute =
			new DC3DateString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{	// SOPClassUID

		DC3Tag tag (DC3SOPClassUID_GROUP,
			    DC3SOPClassUID_ELEMENT);
		char *str = DC3CTImageStorageSOPClass;
		DC3UIString *attribute =
			new DC3UIString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{	// SOPInstanceUID

		DC3GeneratedSOPInstanceUID uid
			(stamp,1,1,SOMATOM_sliceno.toUS());
		DC3Tag tag (DC3SOPInstanceUID_GROUP,
			    DC3SOPInstanceUID_ELEMENT);
		char *str = uid.GetUID();
		DC3UIString *attribute =
			new DC3UIString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{	// StudyInstanceUID

		DC3GeneratedStudyInstanceUID uid
			 (stamp,1);
		DC3Tag tag (DC3StudyInstanceUID_GROUP,
			    DC3StudyInstanceUID_ELEMENT);
		char *str = uid.GetUID();
		DC3UIString *attribute =
			new DC3UIString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{	// SeriesInstanceUID

		DC3GeneratedSeriesInstanceUID uid
			(stamp,1,1);
		DC3Tag tag (DC3SeriesInstanceUID_GROUP,
			    DC3SeriesInstanceUID_ELEMENT);
		char *str = uid.GetUID();
		DC3UIString *attribute =
			new DC3UIString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{	// FrameOfReferenceUID

		DC3GeneratedFrameOfReferenceUID uid
			(stamp,1,1);
		DC3Tag tag (DC3FrameOfReferenceUID_GROUP,
			    DC3FrameOfReferenceUID_ELEMENT);
		char *str = uid.GetUID();
		DC3UIString *attribute =
			new DC3UIString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// PositionReferenceIndicator = ""

		DC3Tag tag (DC3PositionReferenceIndicator_GROUP,
			    DC3PositionReferenceIndicator_ELEMENT);
		char *str = "";
		DC3LongString *attribute =
			new DC3LongString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// Trying to derive Image Plane Module ...

		char *hfff,*ap;

		// Somatom plane definitions are unknown:
		// ? units of X,Y center
		// ? direction of table position
		// assume Left Ant Superior +ve (for no really good reason)

		// DICOM plane definitions are:
		// - Left Pos Superior +ve

		ImagePlanePlane plane;

		// Determine the "machine" plane of the image ...

		switch (SOMATOM_scanmodebin.toUS()) {
			case 1:		// Standard
			case 2:		// Quickscan
					plane=Axial;
					break;

			case 4:		// Topogram - use tube angle later
					// 0 degrees is AP Scout
					plane=Coronal;
					break;

			default:	// :(
					plane=Axial;
					break;
		}

		ImagePlaneHeadFeet orientation;

		switch (SOMATOM_headposition.toUS()) {
			case 0:	
					hfff="HF";
					orientation=HeadFirst;
					break;
			case 1:	
					hfff="FF";
					orientation=FeetFirst;
					break;
			default:
					hfff="";		// :(
					orientation=HeadFirst;
					break;
		}

		ImagePlanePosition position;

		switch (SOMATOM_patientposition.toUS()) {
			case 0:		// Supine
					ap="S";
					position=Supine;
					break;
			case 1:		// Prone
					ap="P";
					position=Prone;
					break;
			case 2:		// Right Lateral Decubitus
					ap="DR";
					position=RightLateralDecubitus;
					break;
			case 3:		// Left Lateral Decubitus
					ap="DL";
					position=LeftLateralDecubitus;
					break;
			default:	ap="";			// :(
					position=Supine;
					break;
		}

		double scanfov = (double)SOMATOM_fov.toUS();

		// Make a model of the image plane ...

		ImagePlane imageplane(plane,scanfov,orientation,position);

		// If scout, rotate into the correct plane ...

		// Rotation is CCW around Z
		// eg. Right Lateral is +90 degrees

		if (SOMATOM_scanmodebin.toUS() == 4) {	// Topogram 
			imageplane.MachinePlane::angle(
				HeadFeet,-(double)SOMATOM_top_angle.toSS());
		}

		// While we are in the "display" or "gantry plane ...
		// (before angulation) 

		// Apply any transformations specified in the
		// display/gantry plane, such as magnification and
		// reconstruction target offsets ...

		// Assume that these are machine rather than body relative

		double magch	= (double)SOMATOM_xcenter.toSS();
		double magcv	= (double)SOMATOM_ycenter.toSS();

		imageplane.MachinePlane::scale(
			10.0/(double)SOMATOM_zoomfactor10.toUS());

		imageplane.MachinePlane::shift(Vector3D(magch,-magcv,0));

		// assume +ve is top towards table (? if this is true ?)
		// whereas Z is positive into gantry so change sign

		imageplane.MachinePlane::angle(
				LeftRight,-(double)SOMATOM_gantrytilt.toSS());

		// Account for physical offsets after angulation ...

		imageplane.MachinePlane::shift(
			Vector3D(0,0,(double)SOMATOM_tableposn.toSS()));

		// Now build the DICOM attributes ...

		{
			// PatientPosition

			char str[10];	// Enough for longest combination !
			ostrstream ost(str,10);
			ost << hfff << ap << '\0';
			DC3Tag tag (DC3PatientPosition_GROUP,
			    DC3PatientPosition_ELEMENT);
			DC3CodeString *attribute =
				new DC3CodeString(tag,strlen(str),str);
			list.insert(attribute);
		}
		{
			// ImagePositionPatient

			char str[60];	// Enough for longest combination !
			ostrstream ost(str,60);

			ost << dec << setiosflags(ios::fixed)
			    << setiosflags(ios::showpoint) << setprecision(6)
			    << imageplane.PatientPlane::getTLHC().getX()
			    << "\\"
			    << imageplane.PatientPlane::getTLHC().getY()
			    << "\\"
			    << imageplane.PatientPlane::getTLHC().getZ()
			    << ends;

			DC3Tag tag (DC3ImagePositionPatient_GROUP,
			    DC3ImagePositionPatient_ELEMENT);
			DC3DecimalString *attribute =
				new DC3DecimalString(tag,strlen(str),str);
			list.insert(attribute);
		}
		{
			// ImageOrientationPatient

			char str[60];	// Enough for longest combination !
			ostrstream ost(str,60);

			ost << dec << setiosflags(ios::fixed)
			    << setiosflags(ios::showpoint) << setprecision(6)
			    << imageplane.PatientPlane::getRowVector().getX()
			    << "\\"
			    << imageplane.PatientPlane::getRowVector().getY()
			    << "\\"
			    << imageplane.PatientPlane::getRowVector().getZ()
			    << "\\"
			    << imageplane.PatientPlane::getColVector().getX()
			    << "\\"
			    << imageplane.PatientPlane::getColVector().getY()
			    << "\\"
			    << imageplane.PatientPlane::getColVector().getZ()
			    << ends;

			DC3Tag tag (DC3ImageOrientationPatient_GROUP,
			    DC3ImageOrientationPatient_ELEMENT);
			DC3DecimalString *attribute =
				new DC3DecimalString(tag,strlen(str),str);
			list.insert(attribute);
		}
		{
			// ImagePosition

			char str[60];	// Enough for longest combination !
			ostrstream ost(str,60);

			ost << dec << setiosflags(ios::fixed)
			    << setiosflags(ios::showpoint) << setprecision(6)
			    << imageplane.MachinePlane::getTLHC().getX()
			    << "\\"
			    << imageplane.MachinePlane::getTLHC().getY()
			    << "\\"
			    << imageplane.MachinePlane::getTLHC().getZ()
			    << ends;

			DC3Tag tag (DC3ImagePosition_GROUP,
			    DC3ImagePosition_ELEMENT);
			DC3DecimalString *attribute =
				new DC3DecimalString(tag,strlen(str),str);
			list.insert(attribute);
		}
		{
			// ImageOrientation

			char str[60];	// Enough for longest combination !
			ostrstream ost(str,60);

			ost << dec << setiosflags(ios::fixed)
			    << setiosflags(ios::showpoint) << setprecision(6)
			    << imageplane.MachinePlane::getRowVector().getX()
			    << "\\"
			    << imageplane.MachinePlane::getRowVector().getY()
			    << "\\"
			    << imageplane.MachinePlane::getRowVector().getZ()
			    << "\\"
			    << imageplane.MachinePlane::getColVector().getX()
			    << "\\"
			    << imageplane.MachinePlane::getColVector().getY()
			    << "\\"
			    << imageplane.MachinePlane::getColVector().getZ()
			    << ends;

			DC3Tag tag (DC3ImageOrientation_GROUP,
			    DC3ImageOrientation_ELEMENT);
			DC3DecimalString *attribute =
				new DC3DecimalString(tag,strlen(str),str);
			list.insert(attribute);
		}
		{
			// PatientOrientation

			char str[10];	// Enough for longest combination !
			ostrstream ost(str,10);

			ost << imageplane.PatientPlane::getRowOrientation()
			    << "\\"
			    << imageplane.PatientPlane::getColOrientation()
			    << ends;

			DC3Tag tag (DC3PatientOrientation_GROUP,
			    DC3PatientOrientation_ELEMENT);
			DC3CodeString *attribute =
				new DC3CodeString(tag,strlen(str),str);
			list.insert(attribute);
		}
	}
	{
		// ImageType

		char *value1,*value2,*value3;

		switch (SOMATOM_scanmodebin.toUS()) {
			case 1:		// Standard
			case 2:		// Quickscan
					value1="ORIGINAL";
					value2="PRIMARY";
					value3="AXIAL";
					break;
			case 4:		// Topogram
					value1="ORIGINAL";
					value2="PRIMARY";
					value3="LOCALIZER";
					break;
			default:
					value1="";
					value2="";
					value3="";
					break;
		}

		DC3Tag tag (DC3ImageType_GROUP,
			    DC3ImageType_ELEMENT);
		DC3CodeString *attribute =
			MakeCodeStringFromThreeStringValues(tag,
				value1,value2,value3);
		list.insert(attribute);
	}
	{
		// Rows

		DC3Tag tag (DC3Rows_GROUP,
			    DC3Rows_ELEMENT);
		Uint16 i = SOMATOM_matrixsize.toUS();
		DC3UnsignedShort *attribute =
			new DC3UnsignedShort(tag,2,&i);
		list.insert(attribute);
	}
	{
		// Columns

		DC3Tag tag (DC3Columns_GROUP,
			    DC3Columns_ELEMENT);
		Uint16 i = SOMATOM_matrixsize.toUS();
		DC3UnsignedShort *attribute =
			new DC3UnsignedShort(tag,2,&i);
		list.insert(attribute);
	}
