/* somman2.h 0.12 95/09/18 Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved. */

	{
		// PixelSpacing

		double spacing = 100.0 / (double)SOMATOM_pixelsper10cm.toUS();

		DC3Tag tag (DC3PixelSpacing_GROUP,
			    DC3PixelSpacing_ELEMENT);
		DC3DecimalString *attribute =
			MakeDecimalStringFromTwoDouble(tag,
				spacing,spacing);
		list.insert(attribute);
	}
	{
		// ReconstructionDiameter

		double diameter = (double)SOMATOM_fov.toUS()
			/ ((double)SOMATOM_zoomfactor10.toUS()/10.0);

		char str[20];
		ostrstream ost(str,20);
		ost << dec << diameter << '\0';

		DC3Tag tag (DC3ReconstructionDiameter_GROUP,
			    DC3ReconstructionDiameter_ELEMENT);
		DC3DecimalString *attribute =
			new DC3DecimalString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// ImageDate
		// StudyDate
		// AcquisitionDate

		unsigned month=0;
		char *mmm = SOMATOM_datemmm.toSH();
		switch (tolower(mmm[0])) {
			case 'a':
				switch (tolower(mmm[1])) {
					case 'p':	month=4; break;
					case 'u':	month=8; break;
				}
				break;
			case 'd':	month=12; break;
			case 'f':	month=2; break;
			case 'j':
				switch (tolower(mmm[1])) {
					case 'a':	month=1; break;
					case 'u':
						switch (tolower(mmm[2])) {
							case 'l':
								month=7;
								break;
							case 'n':
								month=6;
								break;
						}
						break;
				}
				break;
			case 'm':
				switch (tolower(mmm[2])) {
					case 'r':	month=3; break;
					case 'y':	month=5; break;
				}
				break;
			case 'n':	month=11; break;
			case 'o':	month=10; break;
			case 's':	month=9; break;
		}

		{
			DC3Tag tag (DC3ImageDate_GROUP,
			    DC3ImageDate_ELEMENT);
			ostrstream ost;
			ost << dec << setfill('0')
			    << "19" << setw(2) << SOMATOM_dateyy.toUS()
			    << setw(2) << month
			    << setw(2) << SOMATOM_datedd.toUS()
			    << '\0' << setfill(' ');
			char *out = ost.str();
			DC3DateString *attribute =
				new DC3DateString(tag,strlen(out),out);
			list.insert(attribute);
		}
		{
			DC3Tag tag (DC3StudyDate_GROUP,
			    DC3StudyDate_ELEMENT);
			ostrstream ost;
			ost << dec << setfill('0')
			    << "19" << setw(2) << SOMATOM_dateyy.toUS()
			    << setw(2) << month
			    << setw(2) << SOMATOM_datedd.toUS()
			    << '\0' << setfill(' ');
			char *out = ost.str();
			DC3DateString *attribute =
				new DC3DateString(tag,strlen(out),out);
			list.insert(attribute);
		}
		{
			DC3Tag tag (DC3AcquisitionDate_GROUP,
			    DC3AcquisitionDate_ELEMENT);
			ostrstream ost;
			ost << dec << setfill('0')
			    << "19" << setw(2) << SOMATOM_dateyy.toUS()
			    << setw(2) << month
			    << setw(2) << SOMATOM_datedd.toUS()
			    << '\0' << setfill(' ');
			char *out = ost.str();
			DC3DateString *attribute =
				new DC3DateString(tag,strlen(out),out);
			list.insert(attribute);
		}
	}
	{
		// ImageTime

		DC3Tag tag (DC3ImageTime_GROUP,
			    DC3ImageTime_ELEMENT);
		ostrstream ost;
		ost << dec << setfill('0')
		    << setw(2) << SOMATOM_timehh.toUS()
		    << setw(2) << SOMATOM_timemm.toUS()
		    << setw(2) << SOMATOM_timess.toUS()
		    << '\0' << setfill(' ');
		char *out = ost.str();
		DC3TimeString *attribute =
			new DC3TimeString(tag,strlen(out),out);
		list.insert(attribute);
	}
	{
		// StudyTime

		DC3Tag tag (DC3StudyTime_GROUP,
			    DC3StudyTime_ELEMENT);
		ostrstream ost;
		ost << dec << setfill('0')
		    << setw(2) << SOMATOM_timehh.toUS()
		    << setw(2) << SOMATOM_timemm.toUS()
		    << setw(2) << SOMATOM_timess.toUS()
		    << '\0' << setfill(' ');
		char *out = ost.str();
		DC3TimeString *attribute =
			new DC3TimeString(tag,strlen(out),out);
		list.insert(attribute);
	}
	{
		// AcquisitionTime

		DC3Tag tag (DC3AcquisitionTime_GROUP,
			    DC3AcquisitionTime_ELEMENT);
		ostrstream ost;
		ost << dec << setfill('0')
		    << setw(2) << SOMATOM_timehh.toUS()
		    << setw(2) << SOMATOM_timemm.toUS()
		    << setw(2) << SOMATOM_timess.toUS()
		    << '\0' << setfill(' ');
		char *out = ost.str();
		DC3TimeString *attribute =
			new DC3TimeString(tag,strlen(out),out);
		list.insert(attribute);
	}
	{
		// RotationDirection

		DC3Tag tag (DC3RotationDirection_GROUP,
			    DC3RotationDirection_ELEMENT);
		char *str;
		switch (SOMATOM_rotationdirection.toSS()) {
			case 1:		str="CW"; break;
			case -1:	str="CC"; break;
			default:	str=""; break;
		}
		DC3CodeString *attribute =
			new DC3CodeString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// ExposureTime

		Uint16 exposuretime =
			(Uint16)(SOMATOM_scantime10.toUS() * 100.0);

		DC3Tag tag (DC3ExposureTime_GROUP,
			    DC3ExposureTime_ELEMENT);
		char str[10];		// should be enough for Uint16 string
		ostrstream ost(str,10);
		ost << dec << exposuretime << '\0';
		DC3IntegerString *attribute =
			new DC3IntegerString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// XrayTubeCurrent

		Uint16 current =
			(Uint16)((unsigned)(SOMATOM_dose.toUS()*10)
				/SOMATOM_scantime10.toUS());

		// (cast to unsigned shuts up ANSI C semantic change warning)

		DC3Tag tag (DC3XrayTubeCurrent_GROUP,
			    DC3XrayTubeCurrent_ELEMENT);
		char str[10];		// should be enough for Uint16 string
		ostrstream ost(str,10);
		ost << dec << current << '\0';
		DC3IntegerString *attribute =
			new DC3IntegerString(tag,strlen(str),str);
		list.insert(attribute);
	}

	// Do the constant stuff ...

	{
		// Manufacturer = "SIEMENS"

		DC3Tag tag (DC3Manufacturer_GROUP,
			    DC3Manufacturer_ELEMENT);
		char *str = "SIEMENS";
		DC3LongString *attribute =
			new DC3LongString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// Modality = CT

		DC3Tag tag (DC3Modality_GROUP,
			    DC3Modality_ELEMENT);
		char *str = "CT";
		DC3CodeString *attribute =
			new DC3CodeString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// PixelPaddingValue = 0

		DC3Tag tag (DC3PixelPaddingValue_GROUP,
			    DC3PixelPaddingValue_ELEMENT);
		Uint16 i = 0;
		DC3UnspecifiedShort *attribute =
			new DC3UnspecifiedShort(tag,2,&i);
		list.insert(attribute);
	}
	{
		// BitsAllocated = 16

		DC3Tag tag (DC3BitsAllocated_GROUP,
			    DC3BitsAllocated_ELEMENT);
		Uint16 i = 16;
		DC3UnsignedShort *attribute =
			new DC3UnsignedShort(tag,2,&i);
		list.insert(attribute);
	}
	{
		// BitsStored = 12

		DC3Tag tag (DC3BitsStored_GROUP,
			    DC3BitsStored_ELEMENT);
		Uint16 i = 12;
		DC3UnsignedShort *attribute =
			new DC3UnsignedShort(tag,2,&i);
		list.insert(attribute);
	}
	{
		// HighBit = 11

		DC3Tag tag (DC3HighBit_GROUP,
			    DC3HighBit_ELEMENT);
		Uint16 i = 11;
		DC3UnsignedShort *attribute =
			new DC3UnsignedShort(tag,2,&i);
		list.insert(attribute);
	}
	{
		// PixelRepresentation = 0 (unsigned)

		DC3Tag tag (DC3PixelRepresentation_GROUP,
			    DC3PixelRepresentation_ELEMENT);
		Uint16 i = 0;
		DC3UnsignedShort *attribute =
			new DC3UnsignedShort(tag,2,&i);
		list.insert(attribute);
	}
	{
		// SamplesPerPixel = 1

		DC3Tag tag (DC3SamplesPerPixel_GROUP,
			    DC3SamplesPerPixel_ELEMENT);
		Uint16 i = 1;
		DC3UnsignedShort *attribute =
			new DC3UnsignedShort(tag,2,&i);
		list.insert(attribute);
	}
	{
		// PhotometricInterpretation = MONOCHROME2

		DC3Tag tag (DC3PhotometricInterpretation_GROUP,
			    DC3PhotometricInterpretation_ELEMENT);
		char *str = "MONOCHROME2";
		DC3CodeString *attribute =
			new DC3CodeString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// RescaleIntercept = 0

		DC3Tag tag (DC3RescaleIntercept_GROUP,
			    DC3RescaleIntercept_ELEMENT);
		char *str = "0";
		DC3DecimalString *attribute =
			new DC3DecimalString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// RescaleSlope = 1

		DC3Tag tag (DC3RescaleSlope_GROUP,
			    DC3RescaleSlope_ELEMENT);
		char *str = "1";
		DC3DecimalString *attribute =
			new DC3DecimalString(tag,strlen(str),str);
		list.insert(attribute);
	}

	// Do the empty stuff ...

	{
		// ReferringPhysicianName = ""

		DC3Tag tag (DC3ReferringPhysicianName_GROUP,
			    DC3ReferringPhysicianName_ELEMENT);
		char *str = "";
		DC3PersonName *attribute =
			new DC3PersonName(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// PerformingPhysicianName = ""

		DC3Tag tag (DC3PerformingPhysicianName_GROUP,
			    DC3PerformingPhysicianName_ELEMENT);
		char *str = "";
		DC3PersonName *attribute =
			new DC3PersonName(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// OperatorName = ""

		DC3Tag tag (DC3OperatorName_GROUP,
			    DC3OperatorName_ELEMENT);
		char *str = "";
		DC3PersonName *attribute =
			new DC3PersonName(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// StationName = ""

		DC3Tag tag (DC3StationName_GROUP,
			    DC3StationName_ELEMENT);
		char *str = "";
		DC3ShortString *attribute =
			new DC3ShortString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// StudyDescription = ""

		DC3Tag tag (DC3StudyDescription_GROUP,
			    DC3StudyDescription_ELEMENT);
		char *str = "";
		DC3LongString *attribute =
			new DC3LongString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// FilterType = ""

		DC3Tag tag (DC3FilterType_GROUP,
			    DC3FilterType_ELEMENT);
		char *str = "";
		DC3ShortString *attribute =
			new DC3ShortString(tag,strlen(str),str);
		list.insert(attribute);
	}
	{
		// ConvolutionKernel = ""

		DC3Tag tag (DC3ConvolutionKernel_GROUP,
			    DC3ConvolutionKernel_ELEMENT);
		char *str = "";
		DC3ShortString *attribute =
			new DC3ShortString(tag,strlen(str),str);
		list.insert(attribute);
	}

