static char *CopyrightIdentifier(void) { return "@(#)somtspl.cc 0.12 95/09/18 Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved."; }

#ifdef __GNUG__
#include <builtin.h>
#endif
#include <math.h>
#include <string.h>

#include <strstream.h>
#include <iomanip.h>

#include "tlist.h"
#include "tfstream.h"
#include "tuidgen.h"
#include "tabstc.h"

#include "vaxtype.h"

#include "somtdec.h"

/* ************************ Local Routines ************************ */

void
handle_manual_attributes_part1(
	DC3ListofAttributes& list,	// list to add new attributes to
	const char *stamp		// substitute date/time stamp for UIDs
);

void
handle_manual_attributes_part2(
	DC3ListofAttributes& list	// list to add new attributes to
);

void
read_header(
	ifstream& instream,		// where to read from
	DC3ListofAttributes& list,	// list to add new attributes to
	const char *stamp,		// substitute date/time stamp for UIDs
	Uint16& width,			// Returned - image width
	Uint16& height,			// Returned - image height
	Uint16& depth,			// Returned - image depth
	Uint16& compress,		// Returned - image compress flag
	Uint16& datablock		// Returned - block offset to image
	)
{
#include "somptrs.h"

	// Use the automagically generated file of code
	// - to transform Somatom atributes into DICOM ones ...
	// - to fetch the Somatom tags that we need to work manually from ...

#include "somtcal.h"

	// Now do the manual manipulation of tags that don't map
	// directly ...

	handle_manual_attributes_part1(list,stamp);
	handle_manual_attributes_part2(list);

	// Return values we need to read the image ...

	width    =SOMATOM_matrixsize.toUS();
	height   =SOMATOM_matrixsize.toUS();
	depth    =12;
	compress =0;
	datablock=SOMATOM_IMAGEDATA_ptr;
}

