.TH DC3DESC 1 "03 February 1995" "DICOM PS3" "DICOM PS3 - Describe transfer syntax"
.SH NAME
dc3desc \- ACR/NEMA DICOM PS3 ... Describe transfer syntax
.SH SYNOPSIS
.HP 10
.B dc3desc
.I inputfilename
.SH DESCRIPTION
.LP
.B dc3desc
opens the named dicom input file and attempts to identify its transfer syntax, including the presence of a metaheader. Note that in the presence of a metaheader, the syntax described is that of the metaheader, not that which is specified by the metaheader.
.LP
Be aware that there is some confusion as to whether the correct syntax for the metaheader is explicit or implicit value representation.
.SH OPTIONS
Input name
.I must
be specified. Redirection from standard input or to standard output are
not supported. The description goes to standard error.
.SH ENVIRONMENT
.LP
\ 
.SH EXAMPLES
.LP
\n 
\n % dc3desc images/dicom3/expmeta.dc3 
\n MetaHeader: present
\n Skip: 0
\n MetaHeader Endian: little
\n MetaHeader ValueRepresentation: explicit
\n MetaHeader Encapsulated: no
.SH FILES
.LP
\ 
.SH SEE ALSO
.BR dc3archive(1) ,
.BR dc3convert(1) ,
.BR dc3intro(1) ,
.BR dc3intro(3) ,
.BR dc3intro(5) ,
.BR dc3misc(1) ,
.BR dc3simple(1)
.SH AUTHOR
Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved.
.SH BUGS
