static char *CopyrightIdentifier(void) { return "@(#)extract12.cc 0.12 95/09/18 Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved."; }


#include <iostream.h>
#include <fstream.h>
#include <stdlib.h>            // for atoi()
#include <string.h>            // for strlen()

#include "GetOpt.h"
#include "MainCmd.h"

int
main(int argc, char *argv[])
{
	CCOMMAND(argc,argv);

	int littleendian = 0;
	int bigendian    = 0;

	GetOpt getopt(argc,argv,"lb");
	int c;
	int err=0;
	while ((c=getopt()) != -1 && !err) {
		switch (c) {
			case 'l':
				littleendian=1;
				break;
			case 'b':
				bigendian=1;
				break;
			case '?':
			default:
				err=1;
		}
	}

	if (!littleendian && !bigendian) {
		cerr << "Must specify byteorder -l or -b\n" << flush;
		err=1;
	}

	if (err) {
		cerr << "Usage: " << argv[0]
		     << " -b|l\n"
		     << flush;
		return 1;
	}

	// default for some environments is unbuffered which is slow++

	const unsigned bufsize=16384;
	streambuf *in  = cin.rdbuf();
	streambuf *out = cout.rdbuf();
	static char inbuf[bufsize];
	static char outbuf[bufsize];
	in->setbuf(inbuf,sizeof(inbuf));
	out->setbuf(outbuf,sizeof(outbuf));

	while (1) {
		unsigned i;
		unsigned short inword[3];
		for (i=0; i<3; ++i) {
			unsigned char lobyte;
			unsigned char hibyte;
			if (bigendian) {
				cin.read(&hibyte,1);
				cin.read(&lobyte,1);
			}
			else {
				cin.read(&lobyte,1);
				cin.read(&hibyte,1);
			}
			inword[i] =   (unsigned short)hibyte;
			inword[i] <<= 8;
			inword[i] |=  (unsigned short)lobyte;
		}
		if (!cin.good()) {
			if (cin.eof()) break;
			else {
				cerr << "Premature EOF\n" << flush;
				return 1;
			}
		}

		unsigned short outword[4];

		outword[0]=  inword[0] & 0x0fff;

		outword[1]=((inword[0] >> 12) & 0x000f)
		          |((inword[1] << 4 ) & 0x0ff0);

		outword[2]=((inword[1] >> 8) & 0x00ff)
		          |((inword[2] << 8) & 0x0f00);

		outword[3]= (inword[2] >> 4) & 0x0fff;
		
		for (i=0; i<4; ++i) {
			unsigned char lobyte = outword[i] & 0xff;
			unsigned char hibyte = (outword[i] >> 8) & 0xff;
			if (bigendian) {
				cout.write(&hibyte,1);
				cout.write(&lobyte,1);
			}
			else {
				cout.write(&lobyte,1);
				cout.write(&hibyte,1);
			}
		}
	}

	return 0;
}

