StringValues="YesNoLetter" {
	Y = Yes,
	N = No
}

StringValues="YesNoFull" {
	YES,
	NO
}

StringValues="Priority" {
	LOW,
	MED,
	HIGH
}

StringValues="SmokingStatus" {
	YES,
	NO,
	UNKNOWN
}

StringValues="Orientation" {
	LANDSCAPE,
	PORTRAIT
}

StringValues="DiagnosticCodingSchemes" {
	ACR = ACR Inex for Radiological Diagnosis,
	CE  = CEN ECG Diagnostic Codes,
	E   = Euclides,
	I9  = ICD9,
	I9C = ICD9-CM,
	I10 = ICD10,
	LB  = Local Billing Code,
	RC  = Read Classification,
	SNM = SNOMED,
	S3  = SNOMED III,
	UML = Unified Medical Language
}

StringValues="ProcedureCodeScheme" {
	AS4 = ASTM,
	C4  = CPT-4,
	C5  = CPT-5,
	E   = Euclides,
	FDK = FDA K10,
	HB  = HIBCC,
	ICS = ICCS,
	I9C = ICD-9CM,
	IBT = ISBT,
	IUC = IUPAC/IFCC,
	MCR = Medicare,
	MCD = Madicaid,
	UC  = UCDS,
	JC8 = Japanese Chemistry,
	HI  = Health Outcomes,
	E6  = Euclides Lab Method Codes,
	E7  = Euclides Lab Equipment Codes,
	E5  = Euclides Kind Of Quantity Codes,
	CAS = Chemical Abstract Codes,
	NDC = National Drug Codes,
	W1  = WHO Record Number 6 Digit Drug Codes,
	W2  = WHO Record Number 8 Digit Drug Codes,
	W4  = WHO Record Number With ASTM Extensions,
	WC  = WHO ATC,
	UMD = MDNS
}

StringValues="VisitStatusID" {
	CREATED,
	SCHEDULED,
	ADMITTED,
	DISCHARGED
}

StringValues="StudyStatusID" {
	CREATED,
	SCHEDULED,
	ARRIVED,
	STARTED,
	COMPLETED,
	VERIFIED,
	READ
}

StringValues="StudyComponentStatusID" {
	CREATED,
	INCOMPLETE,
	COMPLETED,
	VERIFIED,
	POSTINTERPRET
}

StringValues="InterpretationTypeID" {
	REPORT,
	AMMENDMENT
}

StringValues="InterpretationStatusID" {
	CREATED,
	RECORDED,
	TRANSCRIBED,
	APPROVED
}

StringValues="Sex" {
	M = Male,
	F = Female,
	O = Other
}

StringValues="Laterality" {
	R = Right,
	L = Left
}

StringValues="BodyPartExamined" {
	SKULL,
	CSPINE,
	TSPINE,
	LSPINE,
	SSPINE,
	COCCYX,
	CHEST,
	CLAVICLE,
	BREAST,
	ABDOMEN,
	PELVIS,
	HIP,
	SHOULDER,
	ELBOW,
	KNEE,
	ANKLE,
	HAND,
	FOOT,
	EXTREMITY
}

StringValues="Modality"	{
	CR = Computed Radiography,
	CT = Computed Tomography,
	DS = Digital Subtraction Angiography,
	MR = Magnetic Resonance,
	NM = Nuclear Medicine,
	US = Ultrasound,
	OT = Other,
	AS = Angioscopy,
	BI = Biomagnetic Imaging,
	CD = Color Flow Doppler,
	CF = Cinefluorography,
	CP = Culposcopy,
	CS = Cystoscopy,
	DD = Duplex Doppler,
	DF = Digital Fluoroscopy,
	DG = Diaphanography,
	DM = Digital Microscopy,
	EC = Echocardiography,
	ES = Endoscopy,
	FA = Flouroscein Angiography,
	FS = Fundoscopy,
	LP = Laparoscopy,
	LS = Laser Surface Scan,
	MA = Magnetic Resonance Angiography,
	MS = Magnetic Resonance Spectroscopy,
	PT = Positron Emmission Tomography,
	RG = Radiographic Imaging Conventional Film Screen,
	ST = Single Photon Emission Computed Tomography,
	TG = Thermography,
	VG = Videofluorography
}
	
StringValues="PatientPosition" {
	HFP  = Head First Prone,
	HFS  = Head First Supine,
	HFDR = Head First Decubitus Right,
	HFDL = Head First Decubitus Right,
	FFP  = Feet First Prone,
	FFS  = Feet First Supine,
	FFDR = Feet First Decubitus Right,
	FFDL = Feet First Decubitus Right
}

StringValues="ViewPosition" {
	AP  = Anterior Posterior,
	PA  = Posterior Anterior,
	LL  = Left Lateral,
	RL  = Right Lateral,
	RLD = Right Lateral Decubitus,
	LLD = Left Lateral Decubitus,
	RLO = Right Lateral Oblique,
	LLO = Left Lateral Oblique
}

StringValues="CassetteSize" {
	18CMX24CM,
	8INX10IN,
	24CMX30CM,
	10INX12IN,
	30CMX35CM,
	30CMX40CM,
	11INX14IN,
	35CMX35CM,
	14INX14IN,
	35CMX43CM
	14INX17IN,
}

StringValues="RotationDirection" {
	CW = Clockwise,
	CC = CounterClockwise
}

StringValues="ScanningSequence" {
	SE = Spin Echo,
	IR = Inversion Recovery,
	GR = Gradient Recalled,
	EP = Echo Planar,
	RM = Research Mode
}

StringValues="SequenceVariant"	{
	SK   = Segmented K Space,
	MTC  = Magnetization Transfer CDontrast,
	SS   = Steady State,
	TRSS = Time Reversed Steady State,
	SP   = Spoiled,
	MP   = Magnetization Prepared,
	OSP  = Oversampling Phase,
	NONE = No Sequence Variant
}

StringValues="ScanOptions" {
	PER = Phase Encode Reordering,
	RG  = Respiratory Gating,
	CG  = Cardiac Gating,
	PPG = Peripheral Pulse Gating,
	FC  = Flow Compensation,
	PFF = Partial Fourier Frequency,
	PFP = Partial Fourier Phase,
	SP  = Spatial Presaturation,
	FS  = Fat Saturation
}

StringValues="MRAcquisitionType" {
	2D = Frequency x Phase,
	3D = Frequency x Phase x Phase
}

StringValues="AngioFlag" {
	Y = Image is Angio,
	N = Image is not Angio
}

StringValues="PhaseEncodingDirection" {
	ROW = Phase Encoded in Rows,
	COL = Phase Encoded in Columns
}

StringValues="NuclearMedicineSeriesType" {
	STATIC,
	DYNAMIC,
	GATED,
	WHOLE BODY,
	STEP_SHOOT TOMO,
	CONTINUOUS TOMO,
	GATED TOMO
}

StringValues="WholeBodyTechnique" {
	1PS = One Pass,
	2PS = Two Pass,
	PCN = Patient Contour Following Employed 
	DIV = Diverging Collimator Used,
	MSP = Multiple Static Images Collected Into a Whole Body Image
}

StringValues="FieldOfViewShape" {
	RECTANGLE,
	ROUND,
	HEXAGONAL
}

StringValues="CollimatorType" {
	PARA = Parallel,
	PINH = PinHole,
	FANB = Fan Beam,
	CONE = Cone Beam,
	SLNT = Slant Hole,
	ASTG = Astigmatic
}

StringValues="AcquisitionTerminationCondition" {
	CNTS = Counts,
	DENS = Density,
	MANU = Manual,
	OVFL = Data Overflow,
	TIME = Time,
	TRIG = Physiological Trigger
}

StringValues="CorrectedImage" {
	UNIF = Flood Corrected,
	COR  = Center of Rotation Corrected,
	NCO  = Non-circular Orbit Corrected,
	DECY = Decay Corrected,
	ATTN = Attenuation Corrected,
	SCAT = Scatter Corrected,
	DTIM = Dead Time Corrected
}


StringValues="PhotometricInterpretation" {
	MONOCHROME1,
	MONOCHROME2,
	PALETTE COLOR,
	RGB,
	HSV,
	ARGB,
	CMYK
}

StringValues="PhotometricInterpretationMonochrome" {
	MONOCHROME1,
	MONOCHROME2
}

StringValues="PhotometricInterpretationRGB" {
	RGB
}

StringValues="USPhotometricInterpretation" {
	MONOCHROME2,
	PALETTE COLOR,
	RGB,
	ARGB,
}

StringValues="ImageType1"	{
	ORIGINAL,
	DERIVED
}

StringValues="ImageType2"	{
	PRIMARY,
	SECONDARY
}

StringValues="CTImageType3" {
	AXIAL,
	LOCALIZER
}

StringValues="MRImageType3" {
	MPR,
	PROJECTION IMAGE,
	T1 MAP,
	T2 MAP,
	DIFFUSION MAP,
	DENSITY MAP,
	PHASE MAP,
	VELOCITY MAP,
	IMAGE ADDITION,
	PHASE SUBTRACT,
	MODULUS SUBTRACT,
	OTHER
}

StringValues="USImageType3"	{
	ABDOMINAL,
	BREAST,
	CHEST,
	ENDOCAVITARY,
	ENDORECTAL,
	ENDOVAGINAL,
	EPICARDIAL,
	FETAL HEART,
	GYNECOLOGY,
	INTRACARDIAC,
	INTRAOPERATIVE,
	INTRAVASCULAR,
	MUSCULOSKELETAL,
	NEONATAL HEAD,
	OBSTETRICAL,
	OPHTHALMIC,
	PEDIATRIC,
	PELVIC,
	RETROPERITONEAL,
	SCROTAL,
	SMALL PARTS,
	TEE,
	THYROID,
	TRANSCRANIAL,
	TTE,
	USBIOPSY,
	VASCULAR
}

StringValues="USTransducerPosition" {
	ANTERIOR,
	AORTA,
	APICAL ,
	ARTERY,
	BASAL ESOPHAGUS,
	BYPASS GRAFT,
	CAUDAL,
	CRANIAL,
	DISTAL,
	ENDOVAGINAL,
	ENDORECTAL,
	EPICARDIAL,
	ESOPHAGUS,
	GASTRIC,
	INFERIOR,
	L ATRIUM,
	L CORONARY ART,
	L LIQ,
	L LOQ,
	L PARASTERN,
	L SUBCLAVIAN,
	L SUPRACLAVICULAR,
	L UIQ,
	L UOQ,
	L VENTRICLE LATER,
	LEFT,
	LEFT PARA,
	LOWER ESOPHAGUS,
	MEDIAL,
	MID ESOPHAGUS,
	MIDLINE,
	OCCIPITAL,
	POSTERIOR,
	PROXIMAL,
	PULMONARY ART,
	R ATRIUM,
	R CORONARY ART,
	R LIQ,
	R LOQ,
	R PARASTERN,
	R SUBCLAVIAN,
	RSUPRACLAVICULAR,
	R UIQ,
	R UOQ,
	R VENTRICLE,
	RIGHT,
	RIGHT PARA,
	SUBCLAVIAN,
	SUBCOSTAL,
	SUP STERN NOTCH,
	SUPERIOR ,
	SUPRACLAVICULAR,
	SURFACE,
	TRANSGASTRIC,
	TRANSORBITAL,
	TRANSTEMPORAL,
	UPPER ESOPHAGUS,
	VEIN
}

StringValues="USTransducerOrientation" {
	2 CHAMBER,
	4 CHAMBER,
	5 CHAMBER,
	AXIAL,
	CORONAL,
	L PARASAG,
	LONG AXIS,
	LONGITUDINAL,
	OBLIQUE,
	R PARASAG,
	SAGITTAL,
	SHORT AXIS,
	TRANSVERSE
}

StringValues="USAnatomicStructure" {
	4 CH HEART,
	3RD VENTRICLE,
	4TH VENTRICLE,
	AC,
	ADRENAL,
	AMNIOTIC FLUID,
	AORTA,
	APPENDIX,
	ASCENDING COLON,
	BASILAR ART,
	BILE DUCT,
	BLADDER,
	BPD,
	C SPINE,
	CELIAC ART,
	CENTRAL ZONE,
	CEREBELLUM,
	CEREB HEMISPHERE,
	CERVIX,
	COLON,
	CUL DE SAC,
	DESCENDING COLON,
	DUODENUM,
	ENDOMETRIUM,
	FETAL ARMS,
	FETAL DIGITS,
	FETAL HEART,
	FETAL LEGS,
	FETAL POLE,
	FEMUR LENGTH,
	FUNDUS,
	GALLBLADDER,
	GEST SAC,
	HC,
	HEPATIC ART,
	ILEUM,
	ISTHMUS,
	INF MES ART,
	INF VENA CAVA,
	L ACA,
	L AXILLARY A,
	L AXILLARY V,
	L BRACHIAL A,
	L BRACHIAL V,
	L BREAST,
	L BULB,
	L CCA,
	L CFA,
	L CFV,
	L CHOROID PLEXUS,
	L COM ILIAC ART,
	L COM ILIAC V,
	L ECA,
	L EPIDIDYMIS,
	L EXT ILIAC A,
	L EXT ILIAC V,
	L EXT JUG V,
	L EYE,
	L FEMUR,
	L GSV,
	L HEPATIC V,
	L HUMERUS,
	L ICA,
	L ILIAC A,
	L ILIAC V,
	L INT JUG V,
	L KIDNEY,
	L MCA,
	L OVARY,
	L PCA ,
	L POP A,
	L POP V,
	L PROF FEM A,
	L PROF FEM V,
	L RADIAL A,
	L RADIUS,
	L RENAL ART,
	L RENAL V,
	L SEM VESICLE,
	L SAPH V,
	L SFA,
	L SFV,
	L SPINE,
	L SUBCLAVIAN A,
	L SUBCLAVIAN V,
	L TESTIS,
	L THALAMUS,
	L TIB FIB,
	L ULNA,
	L ULNAR ART,
	L VENTRICLE,
	L VERT,
	LAT VENTRICLES,
	LIVER,
	L PORTAL V,
	MID HEPATIC V,
	MORRISONS POUCH,
	OFD,
	PANCREAS,
	PENILE VESSELS,
	PERIPHERAL ZONE,
	PLACENTA,
	PORTAL V,
	PROSTATE,
	R ACA,
	R AXILLARY A,
	R AXILLARY V,
	R BRACHIAL A,
	R BRACHIAL V,
	R BREAST,
	R BULB,
	R CCA,
	R CFA,
	R CFV,
	R CHOROID PLEXUS
	R COM ILIAC ART,
	R COM ILIAC V,
	R ECA,
	R EYE,
	R EPIDIDYMIS,
	R EXT ILIAC A,
	R EXT ILIAC V,
	R EXT JUV V,
	R FEMUR,
	R GSV,
	R HEPATIC V,
	R HUMERUS,
	R ICA,
	R ILIAC A,
	R ILIAC V,
	R INT JUG V,
	R KIDNEY,
	R MCA,
	R OVARY,
	R PCAR POP A,
	R POP V,
	R PROF FEM A,
	R PROF FEM V,
	R RADIAL A,
	R RADIUS,
	R RENAL ART,
	R RENAL V,
	R SAPH V,
	R SEM VESICLE,
	R SFA,
	R SFV,
	R SUBCLAVIAN A,
	R SUBCLAVIAN V,
	R TESTIS,
	R THALAMUS,
	R TIB FIB,
	R ULNA,
	R ULNAR ART,
	R VENTRICLE,
	R VERT,
	R PORTAL V,
	RECTUM,
	RETROPERITONEUM,
	SACRUM,
	SCROTUM,
	SIGMOID,
	SMA,
	SMALL INTESTINE,
	SMV,
	SPLEEN,
	SPLENIC ART,
	SPLENIC V,
	STOMACH,
	TESTICLE,
	T SPINE,
	THYROID,
	TRANSITION ZONE,
	TRANSVERSE COLON,
	SIGMOID,
	UMB CORD,
	UTERINE FUNDUS,
	UTERUS,
	VAGINA,
	YOLK SAC,
	ABD AO,
	AO ANNULUS,
	AO ARCH,
	AO LFLT TIPS,
	AO VALVE,
	ASCENDING AO,
	ASD,
	AZYGOS VEIN,
	CORONARY SINUS,
	DIAGONAL,
	DISTAL LAD,
	DISTAL LCX,
	DISTAL RCA,
	IAS,
	INNOMINATE A,
	INT ATRIAL SEPT,
	INT VENT SEPT,
	IVS,
	L ATRIAL APPEN,
	L ATRIUM,
	L FOOT,
	L GERMINAL MATRX,
	L HIP,
	L SHOULDER,
	L MAIN COR ART,
	L SAPH V,
	L SVC,
	LAD,
	LAD D1,
	LAD D2,
	LAD D3,
	LAD S1,
	LAD S2,
	LCX,
	LCXDM1,
	LCXDM2,
	LIMA,
	LLPV,
	LOWER DESC AO,
	LPA,
	LPV,
	LUPV,
	LV APEX,
	LV BASE,
	LV CAVITY,
	LV MID,
	LVOT,
	MAIN PA,
	MID LAD,
	MID LCX,
	MID RCA,
	MITRAL ANNULUS,
	MITRAL LFLT TIPS,
	MITRAL VALVE,
	OBTUSE MARGINAL,
	PERINEUM,
	PLV COR ART,
	POST DESC ART,
	POST LV BRANCH,
	PROX CIRC,
	PROX LAD,
	PROX LCX,
	PROX RCA,
	PULM ANNULUS,
	PULM VALVE,
	PULM VEIN,
	PV TIPS,
	R ATRIUM,
	R FOOT,
	R GERMINAL MATRX,
	R HIP,
	R PV,
	R SAPH V,
	R SHOULDER,
	RAA,
	RCA,
	RIMA,
	RLPV,
	RPA,
	RUPV,
	RV CAVITY,
	RVOT,
	SAPH V GRAFT LAD,
	SUP VENA CAVA,
	SVG D,
	SVG LAD,
	SVG LCX,
	SVG OM,
	SVG PDA,
	SVG PLV,
	SVG RCA,
	TRICUSPID ANN,
	TRICUSPID TIPS,
	TRICUSPID VALVE,
	UPPER DESC AO,
	VSD
}

StringValues="USTransducerType" {
	SECTOR_PHASED,
	SECTOR_MECH,
	SECTOR_ANNULAR,
	LINEAR,
	CURVED LINEAR,
	SINGLE CRYSTAL,
	SPLIT XTAL CWD,
	IV_PHASED,
	IV_ROT XTAL,
	IV_ROT MIRROR,
	ENDOCAV_PA,
	ENDOCAV_MECH,
	ENDOCAV_CLA,
	ENDOCAV_AA,
	ENDOCAV_LINEAR,
	VECTOR_PHASED
}

StringValues="ConversionType" {
	DV  = Digitized Video,
	DI  = Digital Interface,
	DF  = Digitized Film,
	WSD = Workstation
}

StringValues="OverlayType" {
	G = Graphics,
	R = ROI
}

StringValues="CurveTypeOfData" {
	TAC      = Time Activity Curve ,
	PROF     = Image Profile ,
	HIST     = Histogram ,
	ROI      = Polygraphic Region Of Interest,
	TABL     = Table of Values ,
	FILT     = Filter Kernel,
	POLY     = Poly Line ,
	ECG      = ECG Data,
	PRESSURE = Pressure Data,
	FLOW     = Flow Data,
	PHYSIO   = Physiological Data,
	RESP     = Respiration Trace
}

StringValues="CurveAxisUnits" {
	SEC     = Seconds ,
	CNTS    = Counts ,
	MM      = millimeters,
	PIXL    = Pixels   ,
	NONE    = Unitless,
	BPM     = beats/min,
	CM      = centimeters,
	CMS     = centimeters/second ,
	CM2     = cm**2,
	CMS2    = cm**2/second,
	CM3     = cm**3,
	CM3S    = cm**3/second,
	CMS2    = cm/second**2,
	DB      = dB,
	DBS     = dB/second,
	DEG     = degrees,
	GM      = gram,
	GMM2    = gram/meter**2,
	HZ      = Hertz,
	IN      = inch,
	KG      = kg,
	LMIN    = liters/minute,
	LMINM2  = liters/minute/meter**2,
	M2      = meters **2,
	MS2     = meters/sec**2,
	MLM2    = milliliters/meter**2,
	MILS    = milliseconds,
	MILV    = millivolts,
	MMHG    = mmHg,
	PCNT    = percent,
	LB      = pound
}

StringValues="ModalityLUTType" {
	OD = Optical Density (thousandths),
	US = Unspecified
}

StringValues="SpecificCharacterSet" {
	ISO-IR 100 =	Latin alphabet No. 1 supplementary set,
	ISO-IR 101 =	Latin alphabet No. 2 supplementary set,
	ISO-IR 109 =	Latin alphabet No. 3 supplementary set,
	ISO-IR 110 =	Latin alphabet No. 4 supplementary set,
	ISO-IR 144 =	Cyrillic supplementary set,
	ISO-IR 127 =	Arabic supplementary set,
	ISO-IR 126 =	Greek supplementary set,
	ISO-IR 138 =	Hebrew supplementary set,
	ISO-IR 148 =	Latin alphabet No. 5 supplementary set
}

StringValues="MediumType" {
	PAPER,
	CLEAR FILM,
	BLUE FILM
}

StringValues="FilmDestination" {
	MAGAZINE,
	PROCESSOR
}


StringValues="ImageDisplayFormat" {
	SLIDE,
	SUPERSLIDE
}

StringValues="FilmSizeID" {
	8INX10IN,
	10INX12IN,
	10INX14IN,
	11INX14IN,
	14INX14IN,
	14INX17IN,
	24CMX24CM,
	24CMX30CM
}

StringValues="MagnificationType" {
	REPLICATE,
	BILINEAR,
	CUBIC,
	NONE
}

StringValues="Density" {
	BLACK,
	WHITE
}

StringValues="Polarity" {
	NORMAL,
	REVERSE
}

StringValues="PrintExecutionStatus" {
	PENDING,
	PRINTING,
	DONE,
	FAILURE
}

StringValues="PrintExecutionStatusInfo" {
	QUEUED,
	NO SUPPLY MGZ,
	NO RECEIVE MGZ,
	SUPPLY EMPTY,
	RECEIVER FULL,
	FILM JAM
}

StringValues="PrinterStatus" {
	NORMAL,
	WARNING,
	FAILURE
}

StringValues="PrinterStatusInfo" {
	SUPPLY EMPTY,
	SUPPLY LOW,
	RECEIVER FULL,
	FILM JAM
}

StringValues="OverlayMode" {
	REPLACE,
	THRESHHOLDREPLACE,
	COMPLEMENT
}

