#  iodcmp.awk 0.12 95/09/18 Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved.

# create a C++ header or method file to generate iodcmps
# according to a description in the input template file

# can set these values on the command line:
#
#	role	  - either "header" or "method" or "select" or "put" (defaults to "header")

NR==1	{
	print "// Automatically generated from template - EDITS WILL BE LOST"
	print ""
	print "// Generated by iodcmp.awk with options " role
	print ""

	if (role == "") role = "header"

	if (role == "header") {
		print "#ifndef _DC3tiodcmp_HEADER_"
		print "#define _DC3tiodcmp_HEADER_"
		print ""
	}
	else if (role == "method") {
		print "#include \"tlist.h\""
		print "#include \"tmodulet.h\""
		print "#include \"tmodule.h\""
		print "#include \"tiodcmpt.h\""
		print "#include \"tiodcmp.h\""
		print "#include \"tcond.h\""
		print ""
	}
	else if (role == "select") {
		print "#include \"tlist.h\""
		print "#include \"tmodulet.h\""
		print "#include \"tmodule.h\""
		print "#include \"tiodcmpt.h\""
		print "#include \"tiodcmp.h\""
		print "#include \"tiodcmps.h\""
		print "#include \"tcond.h\""
		print ""
		print "DC3CompositeIOD *"
		print "DC3SelectCompositeIOD(DC3ListofAttributes *list)"
		print "{"
		print "\tDC3CompositeIOD *iod = 0;"
		print ""

		selectelse=""
	}
	else if (role == "put") {
		print "#include <iostream.h>"
		print ""
		print "#include \"tlist.h\""
		print "#include \"tmodulet.h\""
		print "#include \"tmodule.h\""
		print "#include \"tiodcmpt.h\""
		print "#include \"tiodcmp.h\""
		print ""
	}
	else {
		print "Error - role " role " invalid" >"/dev/tty"
		exit 1
	}

	iodcmp=""
	}

/^[ 	]*CompositeIOD=/ {

	iodcmp=""
	if (match($0,"CompositeIOD=\"[^\"]*\""))
		iodcmp=substr($0,RSTART+length("CompositeIOD=\""),
			RLENGTH-length("CompositeIOD=\"")-1);

	condition=""
	if (match($0,"Condition=\"[^\"]*\""))
		condition=substr($0,RSTART+length("Condition=\""),
			RLENGTH-length("Condition=\"")-1);

	if (role == "header") {
		print "class DC3CompositeIOD_" iodcmp " : public DC3CompositeIOD {"
	}
	else if (role == "method") {
		print "char *"
		print "DC3CompositeIOD_" iodcmp "::Identify(void)"
		print "{"
		print "\treturn \"" iodcmp "\";"
		print "}"
		print ""
		print "DC3CompositeIOD_" iodcmp "::DC3CompositeIOD_" iodcmp "(DC3ListofAttributes *list)"
		print "{"
	}
	else if (role == "select" && length(condition) > 0) {
		print "\t" selectelse "if (DC3Condition_" condition "(list)) {"
		print "\t\tiod = new DC3CompositeIOD_" iodcmp "(list);"
		print "\t}"

		selectelse="else "
	}
	else if (role == "put") {
		print "void"
		print "DC3CompositeIOD_" iodcmp "::Put(ostream& stream)"
		print "{"
		print "\tstream << \"Composite IOD <" iodcmp ">\\n\";"
		print ""
	}

	}

/^[ 	]*CompositeIODEnd/ {

	if (role == "header") {
		print "public:"
		print "\tDC3CompositeIOD_" iodcmp "(DC3ListofAttributes *list);"
		print "\tchar *Identify(void);"
		print "\tvoid  Put(ostream& stream);"
		print "};"
		print ""
	}
	else if (role == "method") {
		print "}"
		print ""
	}
	else if (role == "put") {
		print "}"
		print ""
	}
	iodcmp=""

	}

/^[ 	]*Module/ {

	module=""
	if (match($0,"Module=\"[^\"]*\""))
		module=substr($0,RSTART+length("Module=\""),
			RLENGTH-length("Module=\"")-1);

	usage=""
	if (match($0,"Usage=\"[^\"]*\""))
		usage=substr($0,RSTART+length("Usage=\""),
			RLENGTH-length("Usage=\"")-1);

	condition=""
	if (match($0,"Condition=\"[^\"]*\""))
		condition=substr($0,RSTART+length("Condition=\""),
			RLENGTH-length("Condition=\"")-1);

	if (role == "header") {
		print "\tDC3Module_" module " *" module ";"
	}
	else if (role == "method") {
		if (length(condition) > 0) {
			print "\tif (DC3Condition_" condition "(list))"
			print "\t\t" module " = new DC3Module_" module "(list);"
		}
		else {
			print "\t" module " = new DC3Module_" module "(list);"
		}
	}
	else if (role == "put") {
		print "\tif (" module ")"
		print "\t\t" module "->Put(stream);"
		print "\telse"
		print "\t\tstream << \"\\tModule <" module "> not present\\n\";"
		print ""
	}

	}

END {
	if (role == "header") {
		print ""
		print "#endif /* _DC3tiodcmp_HEADER_ */"
	}
	else if (role == "select") {
		print ""
		print "\treturn iod;"
		print "}"
		print ""
	}
}

