#  module.awk 0.12 95/09/18 Copyright (C) 1993,1994,1995. David A. Clunie. All rights reserved.

# create a C++ header or method file to generate modules
# according to a description in the input template file

# can set these values on the command line:
#
#	role	  - either "header" or "method" or "put" (defaults to "header")

NR==1	{
	print "// Automatically generated from template - EDITS WILL BE LOST"
	print ""
	print "// Generated by module.awk with options " role
	print ""

	if (role == "") role = "header"

	if (role == "header") {
		print "#ifndef _DC3tmodule_HEADER_"
		print "#define _DC3tmodule_HEADER_"
		print ""
	}
	else if (role == "method") {
		print "#include \"tmodulet.h\""
		print "#include \"tmodule.h\""
		print "#include \"tcond.h\""
		print ""
	}
	else if (role == "put") {
		print "#include <iostream.h>"
		print ""
		print "#include \"tlist.h\""
		print "#include \"tmodulet.h\""
		print "#include \"tmodule.h\""
		print ""
	}
	else {
		print "Error - role " role " invalid" >"/dev/tty"
		exit 1
	}

	module=""
	}

/^[ 	]*Module=/ {

	module=""
	if (match($0,"Module=\"[^\"]*\""))
		module=substr($0,RSTART+length("Module=\""),
			RLENGTH-length("Module=\"")-1);

	if (role == "header") {
		print "class DC3Module_" module " : public DC3Module {"
	}
	else if (role == "method") {
		print "char *"
		print "DC3Module_" module "::Identify(void)"
		print "{"
		print "\treturn \"" module "\";"
		print "}"
		print ""
		print "DC3Module_" module "::DC3Module_" module "(DC3ListofAttributes *list)"
		print "{"
		print "\t(void)list;"
		#print ""
	}
	else if (role == "put") {
		print "void"
		print "DC3Module_" module "::Put(ostream& stream)"
		print "{"
		print "\tstream << \"\\tModule <" module ">\\n\";"
		print ""
	}

	}

/^[ 	]*ModuleEnd/ {

	if (role == "header") {
		print "public:"
		print "\tDC3Module_" module "(DC3ListofAttributes *list);"
		print "\tchar *Identify(void);"
		print "\tvoid  Put(ostream& stream);"
		print "};"
		print ""
	}
	else if (role == "method") {
		print "}"
		print ""
	}
	else if (role == "put") {
		print "}"
		print ""
	}

	module=""

	}

/^[ 	]*Name/ {

	name=""
	if (match($0,"Name=\"[^\"]*\""))
		name=substr($0,RSTART+length("Name=\""),
			RLENGTH-length("Name=\"")-1);

	type=""
	if (match($0,"Type=\"[^\"]*\""))
		type=substr($0,RSTART+length("Type=\""),
			RLENGTH-length("Type=\"")-1);

	stringdefinedterms=""
	if (match($0,"StringDefinedTerms=\"[^\"]*\""))
		stringdefinedterms=substr($0,RSTART+length("StringDefinedTerms=\""),
			RLENGTH-length("StringDefinedTerms=\"")-1);

	stringenumvalues=""
	if (match($0,"StringEnumValues=\"[^\"]*\""))
		stringenumvalues=substr($0,RSTART+length("StringEnumValues=\""),
			RLENGTH-length("StringEnumValues=\"")-1);

	binaryenumvalues=""
	if (match($0,"BinaryEnumValues=\"[^\"]*\""))
		binaryenumvalues=substr($0,RSTART+length("BinaryEnumValues=\""),
			RLENGTH-length("BinaryEnumValues=\"")-1);

	binarybitmap=""
	if (match($0,"BinaryBitMap=\"[^\"]*\""))
		binaryenumvalues=substr($0,RSTART+length("BinaryBitMap=\""),
			RLENGTH-length("BinaryBitMap=\"")-1);

	condition=""
	if (match($0,"Condition=\"[^\"]*\""))
		condition=substr($0,RSTART+length("Condition=\""),
			RLENGTH-length("Condition=\"")-1);

	if (length(type) > 0) getmethod="getDataElementType" type
	else getmethod="getDataElementUntyped"

	if (type == "1C" || type == "2C") {
		if (length(condition) > 0) {
			conditionarg="DC3Condition_" condition ", "
		}
		else {
			print "Warning - missing Condition at line " FNR >"/dev/tty"
			conditionarg="0, "
		}
	}
	else {
		if (length(condition) > 0) {
			print "Error - unwanted Condition at line " FNR >"/dev/tty"
		}
		conditionarg=""
	}

	if (role == "header") {
		print "\tDC3Attribute *" name ";"
	}
	else if (role == "method") {
		print "\t" name "="
		print "\t\t" getmethod "("
		print "\t\t\tlist,DC3TagFromName(" name "),"
		print "\t\t\t" conditionarg "0,"
		print "\t\t\t\"" module "\",\"" name "\");"
		if (length(stringdefinedterms) > 0) {
			print "\tDC3VerifyStringDefinedTerms(" name ","
			print "\t\tDC3StringValueDescription_" stringdefinedterms ");"
		}
		if (length(stringenumvalues) > 0) {
			print "\tDC3VerifyStringEnumValues(" name ","
			print "\t\tDC3StringValueDescription_" stringenumvalues ");"
		}
		if (length(binaryenumvalues) > 0) {
			print "\tDC3VerifyBinaryEnumValues(" name ","
			print "\t\tDC3BinaryValueDescription_" binaryenumvalues ");"
		}
		if (length(binarybitmap) > 0) {
			print "\tDC3VerifyBinaryBitMap(" name ","
			print "\t\tDC3BinaryBinaryBitMapDescription_" binarybitmap ");"
		}
		print ""
	}
	else if (role == "put") {
		print "\tif (" name ") {"
		print "\t\tstream << \"\\t\\t\";"
		print "\t\t" name "->put(stream);"
		print "\t}"
		print "\telse"
		print "\t\tstream << \"\\t\\tElement <" name "> not present\\n\";"
		print ""
	}

	}

END {
	if (role == "header") {
		print ""
		print "#endif /* _DC3tmodule_HEADER_ */"
	}
}

